#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0xf703412b, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xeab1649f, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x0c17b1f5, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x1c6dfdf9, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x4534aa31, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x50bccbf7, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x68dfa3bf, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x924f9395, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xe8776a14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6ad6a243, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0xced8a6a7, "hid_hw_open" },
	{ 0x5587834a, "_dev_err" },
	{ 0x8811a3eb, "hid_hw_close" },
	{ 0x45317e8d, "__hid_register_driver" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0x21eb3d1a, "hid_hw_stop" },
	{ 0x6ce834c8, "mfd_remove_devices" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x328f3444, "hid_unregister_driver" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xac1a016a, "hid_open_report" },
	{ 0x6a37a1cb, "hid_hw_start" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0xdc1a56a7, "mfd_add_devices" },
	{ 0xe3012870, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "89EB10D99E5EBDA4F7AD956");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
