#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x34d0972f, "");
SYMBOL_CRC(gspca_dev_probe2, 0xca8ec0d7, "");
SYMBOL_CRC(gspca_dev_probe, 0xcf03798c, "");
SYMBOL_CRC(gspca_disconnect, 0xc04eab76, "");
SYMBOL_CRC(gspca_suspend, 0xdfe1ad84, "");
SYMBOL_CRC(gspca_resume, 0xeadfd71d, "");
SYMBOL_CRC(gspca_expo_autogain, 0x8eee810b, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x9b3a7416, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31e6547a, "vb2_queue_error" },
	{ 0xfc6c9f80, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x44bfdf78, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9170c721, "__v4l2_ctrl_s_ctrl" },
	{ 0xfafc6a66, "vb2_ioctl_dqbuf" },
	{ 0x9af76174, "usb_free_coherent" },
	{ 0x41532b8e, "vb2_ioctl_create_bufs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf2fa74b7, "vb2_buffer_done" },
	{ 0xe2552b10, "vb2_plane_vaddr" },
	{ 0x775be213, "v4l2_ctrl_subscribe_event" },
	{ 0x30cad69c, "usb_set_interface" },
	{ 0xda9e2a65, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x391380cf, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8b11e6da, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x82c4e3af, "vb2_vmalloc_memops" },
	{ 0x5fc0a7, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xdeda2bb2, "vb2_fop_read" },
	{ 0x1fcb3b7, "v4l2_device_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9291474a, "__video_register_device" },
	{ 0x258739a0, "vb2_ops_wait_prepare" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x9f5f26c1, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9a76cf04, "vb2_ioctl_streamon" },
	{ 0xe964b0ef, "vb2_fop_poll" },
	{ 0x6b0e6941, "v4l2_ctrl_g_ctrl" },
	{ 0x410c17bf, "v4l2_ctrl_handler_free" },
	{ 0x60abab39, "v4l2_device_unregister" },
	{ 0xbc33f906, "param_ops_int" },
	{ 0x78672873, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8daae46, "v4l2_event_unsubscribe" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xce20db33, "vb2_ioctl_reqbufs" },
	{ 0xe8205433, "vb2_queue_init" },
	{ 0x5b8e0138, "input_allocate_device" },
	{ 0x33be9d40, "usb_alloc_urb" },
	{ 0x885c0ab1, "video_ioctl2" },
	{ 0xcc958a0b, "usb_free_urb" },
	{ 0xee25a879, "v4l2_device_put" },
	{ 0x8551eb54, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeb5525f4, "usb_alloc_coherent" },
	{ 0xb4e5cca6, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdcfc37a3, "usb_ifnum_to_if" },
	{ 0x83bd8359, "vb2_ops_wait_finish" },
	{ 0x1d4a2855, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x805f6e2, "vb2_ioctl_querybuf" },
	{ 0xcfbd89e2, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xda04eb79, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x4bdb8ea6, "usb_clear_halt" },
	{ 0x5b0c1717, "v4l2_ctrl_handler_setup" },
	{ 0x39860ba5, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadca5d51, "video_devdata" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videobuf2-v4l2,usbcore,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
