#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xdda9b43e, "");
SYMBOL_CRC(ocelot_mact_forget, 0x611f821d, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x6f71d3ec, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x7d696ba9, "");
SYMBOL_CRC(ocelot_pll5_init, 0x99cccf8d, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xa9fb704f, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xa29643c1, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x8f9d46c1, "");
SYMBOL_CRC(ocelot_vlan_add, 0x0be91a74, "");
SYMBOL_CRC(ocelot_vlan_del, 0xfbebc5ec, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x134773b1, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x357a55f1, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xe1a87512, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x0f3affaa, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x36b1e75f, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0xfd8d71c6, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0xa7b25581, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x377df805, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0x6d42dc42, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0x6071d828, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0x522a8fac, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x5d598322, "");
SYMBOL_CRC(ocelot_can_inject, 0x141f6a42, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0x421d0118, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xf0496c1a, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x06ca7878, "");
SYMBOL_CRC(ocelot_fdb_add, 0x1b051f9a, "");
SYMBOL_CRC(ocelot_fdb_del, 0x4e4b9038, "");
SYMBOL_CRC(ocelot_mact_flush, 0x54315837, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x04f77c84, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xb15ce440, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xd250a6c0, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x71f5a311, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xc0d330d0, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x84a35100, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xc7aff813, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x237ca513, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xef4ccc6f, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xedd72ede, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x7d49e3a6, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x24f2e01b, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x68b4bf71, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xac4344f1, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x0cdcc55c, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x8a8b696c, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x650f913a, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xaa904024, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x7cf9a9b4, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x34130f6b, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x225a05dd, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x7c901d6d, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x4ca1e330, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x6c6b6431, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x46cad856, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x9e3678c2, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x2f637e74, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x8004c5b6, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xc8d3d86b, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xb51adcd3, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x49c75f9c, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x979394e0, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x60b0e7ab, "");
SYMBOL_CRC(ocelot_reset, 0x3be5623a, "");
SYMBOL_CRC(ocelot_init, 0x2bfa7c39, "");
SYMBOL_CRC(ocelot_deinit, 0xc1c9c88a, "");
SYMBOL_CRC(ocelot_deinit_port, 0x14a993fc, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xa96adcb5, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xfda9d25d, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x7ac53193, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0xd5aa3112, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x6ddcb09f, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x99edb729, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x75c2e235, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x5d8d45d0, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xbce8f245, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x85311b3d, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xdcd2c8b9, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x088628c3, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x9b1ef7d8, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x6be75dba, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x97d361db, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xd506c950, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xcab714e8, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xda0db2cb, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xa491214a, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x0c1fe687, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xcaa46fb6, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x074b444b, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xdd6d6be9, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x13826fb5, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x0c323bb3, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x3cb38cb1, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x9a62a38b, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x443a565b, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x218cce17, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x13ffd11c, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xc75555b4, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xa88d966d, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xb44cf6d6, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xffbbd027, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x10fc2069, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x52aaa56a, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x7875b041, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xc2e0f562, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x46c5c77e, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x20d7dc4a, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xbf329f53, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x3b1136bf, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xdeac4c92, "");
SYMBOL_CRC(ocelot_get_strings, 0x64eca815, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x20d38586, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x5cd47147, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x39af849a, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x75a6b0e3, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0xa0495f3c, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x394d5223, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0xd7d9ced4, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x733f0660, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xd2d67bed, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x278a6637, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x18bd661f, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0xe1c1be67, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x09128253, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x47d2e995, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x25252c6b, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xbefd7ce1, "");
SYMBOL_CRC(ocelot_mrp_del, 0xfdbbb3f4, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x3a76269d, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xdf910d84, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3743fc5c, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe1109708, "flow_rule_match_ipv4_addrs" },
	{ 0x61fbe2b6, "regmap_field_update_bits_base" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x575b461a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd19b1649, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0xec04e095, "ptp_find_pin" },
	{ 0xbf4fba0a, "eth_type_trans" },
	{ 0x2661b943, "ethtool_aggregate_pause_stats" },
	{ 0xce77cabf, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x17af9a40, "regmap_fields_read" },
	{ 0xfeba8b77, "skb_queue_tail" },
	{ 0x4201291f, "regmap_field_read" },
	{ 0x91208ff, "devm_regmap_field_alloc" },
	{ 0x7880f66d, "ptp_classify_raw" },
	{ 0xc270072e, "flow_rule_match_basic" },
	{ 0xe815861a, "__dev_get_by_index" },
	{ 0xa1488437, "devm_kfree" },
	{ 0x5587834a, "_dev_err" },
	{ 0x1e9bc4f1, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaa5c7ee, "netif_set_real_num_tx_queues" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0x17bc0757, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x8170a254, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0xed08cfb9, "flow_rule_match_ports" },
	{ 0xac689778, "__devm_regmap_init_mmio_clk" },
	{ 0xcb0eb674, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaea529ce, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9622916a, "ptp_clock_unregister" },
	{ 0x8f78e7d9, "__netdev_alloc_skb" },
	{ 0xa8a63120, "of_phy_get" },
	{ 0x1f3762ae, "br_vlan_get_pvid_rcu" },
	{ 0xf9f238ed, "phy_set_mode_ext" },
	{ 0x5ccfcdbf, "netdev_reset_tc" },
	{ 0x777e1502, "regmap_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x501c76f3, "devm_ioremap_resource" },
	{ 0x9129e230, "ethtool_aggregate_rmon_stats" },
	{ 0x7292a61d, "flow_rule_match_vlan" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcb77dddc, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2bf76a7, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x32ae9b00, "netdev_set_num_tc" },
	{ 0xb26184ff, "regmap_update_bits_base" },
	{ 0xc49e05cd, "dev_err_probe" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0xd42258d6, "devlink_sb_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf42bbd10, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xc09a4231, "skb_dump" },
	{ 0xb23ef4cb, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x259c7f67, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xd3a719bf, "skb_put" },
	{ 0x3abdcc21, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb5643ef3, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3db5bdfe, "skb_clone_sk" },
	{ 0xb7a116f0, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x81d93cfd, "regmap_fields_update_bits_base" },
	{ 0xf1ed3e4f, "flow_rule_match_eth_addrs" },
	{ 0xfed5d6c6, "ptp_clock_index" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "75CC4157232C1352730DB6E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
