#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e875778, "wx_set_ring" },
	{ 0xf7370f56, "system_state" },
	{ 0xd827f1fa, "__pci_register_driver" },
	{ 0x7b323f39, "wx_init_interrupt_scheme" },
	{ 0xacc546ff, "wx_get_mac_stats" },
	{ 0xf627f931, "devm_ioremap" },
	{ 0x14c321fc, "phy_attached_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x54139a27, "wx_get_coalesce" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xbb5105fa, "wx_mac_set_default_filter" },
	{ 0xda4b3c6b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x205d9842, "pci_set_power_state" },
	{ 0xaa2e4db0, "wx_host_interface_command" },
	{ 0x4e33560c, "wx_xmit_frame" },
	{ 0x9fae1733, "wx_get_sset_count" },
	{ 0x4909154, "wx_misc_isb" },
	{ 0xc282fa2, "wx_configure_vectors" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x3976f550, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeb25551, "phylink_create" },
	{ 0x35940900, "wx_check_flash_load" },
	{ 0xbf0859d0, "wx_get_pcie_msix_counts" },
	{ 0x8bd593f3, "wx_vlan_rx_add_vid" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0xadbbf92c, "wx_stop_adapter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x97ae876b, "wx_get_pauseparam" },
	{ 0xd149963d, "wx_nway_reset" },
	{ 0x6d959ff7, "wx_update_stats" },
	{ 0x5adc88f7, "netif_device_detach" },
	{ 0x6e905761, "wx_clear_hw_cntrs" },
	{ 0xe1d454ca, "netif_device_attach" },
	{ 0x37f8de21, "pci_select_bars" },
	{ 0x804ef052, "wx_sw_init" },
	{ 0xde3e7169, "wx_disable_rx_queue" },
	{ 0x7a80fb8b, "devm_alloc_etherdev_mqs" },
	{ 0x1fb5c409, "device_wakeup_disable" },
	{ 0x20928f82, "wx_vlan_rx_kill_vid" },
	{ 0x5587834a, "_dev_err" },
	{ 0x255809a5, "wx_get_ringparam" },
	{ 0xce9193b9, "wx_free_resources" },
	{ 0x16aaed57, "wx_fix_features" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x147efd87, "wx_clean_all_tx_rings" },
	{ 0xaa5c7ee, "netif_set_real_num_tx_queues" },
	{ 0x76b6de95, "netif_set_real_num_rx_queues" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x5811cf0, "wx_phy_read_reg_mdi_c22" },
	{ 0xa27461c9, "register_netdev" },
	{ 0x72053c73, "wx_irq_disable" },
	{ 0xf3617517, "wx_phy_read_reg_mdi_c45" },
	{ 0x6dd3d78a, "wx_set_coalesce" },
	{ 0xbf5446a7, "wx_napi_enable_all" },
	{ 0x2dfe269c, "wx_configure_rx" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa2e5ab29, "ethtool_op_get_link" },
	{ 0xe0bf0a33, "wx_napi_disable_all" },
	{ 0x241b0e44, "netif_tx_stop_all_queues" },
	{ 0x1f1c70a8, "phy_find_first" },
	{ 0x2cbe1ea2, "wx_read_ee_hostif" },
	{ 0x925fd67c, "wx_get_drvinfo" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xe7dd696d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f0a1254, "wx_init_eeprom_params" },
	{ 0xa0299999, "wx_setup_resources" },
	{ 0x2a8bb08, "wx_reset_interrupt_capability" },
	{ 0xf0bfc54, "wx_phy_write_reg_mdi_c22" },
	{ 0x1a3bc4ff, "devm_mdiobus_alloc_size" },
	{ 0x816d1afa, "wx_get_ethtool_stats" },
	{ 0xa90c59b3, "wx_init_rx_addrs" },
	{ 0xc329a249, "dma_set_coherent_mask" },
	{ 0x22c89719, "wx_get_channels" },
	{ 0x5ccfcdbf, "netdev_reset_tc" },
	{ 0x58e980e8, "wx_configure" },
	{ 0xaa94fe43, "wx_intr_enable" },
	{ 0x8298f49a, "wx_change_mtu" },
	{ 0x6680815c, "wx_get_link_ksettings" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x32ae9b00, "netdev_set_num_tc" },
	{ 0x649c108c, "wx_get_mac_addr" },
	{ 0x515e0a21, "wx_get_pause_stats" },
	{ 0xe49b43c9, "wx_get_stats64" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6291fc3, "pci_disable_device" },
	{ 0x1db9d788, "wx_get_msglevel" },
	{ 0x90d38f7b, "__devm_mdiobus_register" },
	{ 0x4802d6e5, "dma_set_mask" },
	{ 0x4447711e, "wx_set_channels" },
	{ 0x7713913a, "wx_set_mac" },
	{ 0x7c60f03, "wx_phy_write_reg_mdi_c45" },
	{ 0xb063f3b3, "wx_set_rx_mode" },
	{ 0x14b09b4, "__napi_schedule_irqoff" },
	{ 0xee8bc169, "napi_schedule_prep" },
	{ 0x23b006d, "wx_mng_present" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5c826b03, "wx_get_strings" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbfd3b05, "wx_fc_enable" },
	{ 0xbe5139cf, "wx_clear_interrupt_scheme" },
	{ 0xe0535b36, "wx_disable_rx" },
	{ 0x4b3398bd, "wx_msix_clean_rings" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2c7f89ca, "phylink_connect_phy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7613f141, "device_set_wakeup_enable" },
	{ 0x4931abb5, "wx_clean_all_rx_rings" },
	{ 0x9a445008, "wx_set_msglevel" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd2d85251, "wx_control_hw" },
	{ 0x37018f21, "wx_reset_misc" },
	{ 0x39891a1b, "pci_request_selected_regions" },
	{ 0x1e7a19ec, "pci_release_selected_regions" },
	{ 0x4dd304a1, "pci_wake_from_d3" },
	{ 0x5afa01f9, "wx_free_irq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9641864e, "wx_free_isb_resources" },
	{ 0x32c5d909, "pci_enable_device_mem" },
	{ 0xbfdc5329, "wx_set_pauseparam" },
	{ 0x35086563, "wx_set_features" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a5f4138, "unregister_netdev" },
	{ 0xf480f74e, "wx_set_link_ksettings" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "libwx,libphy,phylink,mdio_devres");

MODULE_ALIAS("pci:v00008088d00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000105sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EBBDFECD5D2BD947824578");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
