#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f5f3330, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x79b052d3, "genphy_soft_reset" },
	{ 0x8050a5b7, "genphy_read_mmd_unsupported" },
	{ 0x64c89067, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc0d9ddfc, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf20a4979, "genphy_suspend" },
	{ 0x895496e5, "mdiobus_read" },
	{ 0x6dd2799b, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2124d96a, "phy_write_mmd" },
	{ 0xd8edd377, "mdiobus_write" },
	{ 0x8059854, "genphy_read_status" },
	{ 0x403a9566, "phy_modify" },
	{ 0x2c200d9c, "genphy_read_abilities" },
	{ 0xa5a0ebd8, "phy_read_mmd" },
	{ 0x6da24949, "genphy_restart_aneg" },
	{ 0xba619a44, "phy_trigger_machine" },
	{ 0xe0aaf924, "phy_error" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x7880f66d, "ptp_classify_raw" },
	{ 0xce77cabf, "ptp_parse_header" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x17bc0757, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x481344f2, "ptp_cancel_worker_sync" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50ee5c8, "__mdiobus_write" },
	{ 0x6df7c67b, "__mdiobus_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5587834a, "_dev_err" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6e02ed52, "phy_drivers_unregister" },
	{ 0x6feef306, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x26867437, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89c1c168, "phy_modify_mmd" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0x31b45662, "ptp_find_pin_unlocked" },
	{ 0xea2985c9, "ptp_clock_event" },
	{ 0xec04e095, "ptp_find_pin" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xe8c1694d, "devm_phy_package_join" },
	{ 0xa8122608, "devm_gpiod_get_optional" },
	{ 0x3ff8ee8c, "gpiod_set_consumer_name" },
	{ 0x80f42f78, "gpiod_set_value_cansleep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1e9bc4f1, "ptp_clock_register" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x8e6921c0, "skb_push" },
	{ 0x8d05defc, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xc09a4231, "skb_dump" },
	{ 0xf9a482f9, "msleep" },
	{ 0x66fc0c75, "ethnl_cable_test_result" },
	{ 0x3ea54d8b, "ethnl_cable_test_fault_length" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "1BC1F973D3F0863B5947015");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
