#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8dce432f, "usbnet_update_max_qlen" },
	{ 0x9bb044dc, "usbnet_suspend" },
	{ 0xd191ba59, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8516f4b8, "netif_carrier_on" },
	{ 0x8953c156, "mii_nway_restart" },
	{ 0xa57a6a7f, "eth_platform_get_mac_address" },
	{ 0xac644d11, "usbnet_resume" },
	{ 0x89fb0876, "usbnet_get_endpoints" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xc10304e, "netif_set_tso_max_size" },
	{ 0x2389f339, "usbnet_probe" },
	{ 0x5976258, "usbnet_open" },
	{ 0xd6bd49a, "usbnet_stop" },
	{ 0xa9195b2c, "usbnet_start_xmit" },
	{ 0xda4b3c6b, "eth_validate_addr" },
	{ 0x609959f2, "usbnet_tx_timeout" },
	{ 0xfbca6eb1, "dev_get_tstats64" },
	{ 0x3351d6ad, "usbnet_get_msglevel" },
	{ 0x9afa1422, "usbnet_set_msglevel" },
	{ 0x8b7cfaa5, "usbnet_nway_reset" },
	{ 0xa2e5ab29, "ethtool_op_get_link" },
	{ 0xf368ffb8, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2934b8ff, "pskb_expand_head" },
	{ 0x8e6921c0, "skb_push" },
	{ 0xafa6838b, "__pskb_pull_tail" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0x77612c89, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5d85dbb, "usbnet_read_cmd" },
	{ 0xa984b621, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa9171720, "mii_ethtool_set_link_ksettings" },
	{ 0xf677d2bd, "mii_ethtool_get_link_ksettings" },
	{ 0x1b37fb3f, "generic_mii_ioctl" },
	{ 0x79eed53f, "usb_register_driver" },
	{ 0x11bba88c, "usbnet_disconnect" },
	{ 0x44f141c0, "usb_deregister" },
	{ 0x425ef749, "usbnet_link_change" },
	{ 0x283296d4, "netdev_info" },
	{ 0x506baedc, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x48ca5341, "skb_trim" },
	{ 0x8f78e7d9, "__netdev_alloc_skb" },
	{ 0xd3a719bf, "skb_put" },
	{ 0x5dfcef59, "usbnet_skb_return" },
	{ 0x57d129e2, "skb_pull" },
	{ 0x1a88a0d5, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8b4539c5, "usbnet_write_cmd" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4079a079, "__dynamic_netdev_dbg" },
	{ 0x575b461a, "netdev_err" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "E4BEF6D15D44F81FF22E01D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
