#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x49b7415c, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e6921c0, "skb_push" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x60d26c96, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x425ef749, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57d129e2, "skb_pull" },
	{ 0x2ea0b7fd, "skb_clone" },
	{ 0x48ca5341, "skb_trim" },
	{ 0x5dfcef59, "usbnet_skb_return" },
	{ 0x89fb0876, "usbnet_get_endpoints" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0x133d8906, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5d85dbb, "usbnet_read_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5587834a, "_dev_err" },
	{ 0x11bba88c, "usbnet_disconnect" },
	{ 0x9bb044dc, "usbnet_suspend" },
	{ 0xac644d11, "usbnet_resume" },
	{ 0x3351d6ad, "usbnet_get_msglevel" },
	{ 0x9afa1422, "usbnet_set_msglevel" },
	{ 0x8b7cfaa5, "usbnet_nway_reset" },
	{ 0x3b21539e, "usbnet_get_link_ksettings_mii" },
	{ 0x76204de, "usbnet_set_link_ksettings_mii" },
	{ 0x5976258, "usbnet_open" },
	{ 0xd6bd49a, "usbnet_stop" },
	{ 0xa9195b2c, "usbnet_start_xmit" },
	{ 0xb44e52d3, "eth_mac_addr" },
	{ 0xda4b3c6b, "eth_validate_addr" },
	{ 0x9fb45f29, "usbnet_change_mtu" },
	{ 0x609959f2, "usbnet_tx_timeout" },
	{ 0xfbca6eb1, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x142ea495, "usbnet_get_drvinfo" },
	{ 0x79eed53f, "usb_register_driver" },
	{ 0x44f141c0, "usb_deregister" },
	{ 0x8b4539c5, "usbnet_write_cmd" },
	{ 0x575b461a, "netdev_err" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2389f339, "usbnet_probe" },
	{ 0x54910d35, "usbnet_status_start" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
