#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xd2042526, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xcea9d4cd, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x10a82183, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x90c02945, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d20fc4b, "lock_sock_nested" },
	{ 0xa2e5ab29, "ethtool_op_get_link" },
	{ 0x63b1dc7e, "nexthop_find_by_id" },
	{ 0x6983b93e, "arp_create" },
	{ 0xd401fc87, "__ethtool_get_link_ksettings" },
	{ 0x1ba8f366, "netdev_adjacent_change_prepare" },
	{ 0xd11a9814, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3f9398b1, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x819b2523, "netdev_adjacent_change_abort" },
	{ 0xa3d5bf77, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xba16b230, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4e3a2161, "__iptunnel_pull_header" },
	{ 0xafa6838b, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x8d05defc, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x80d982ef, "setup_udp_tunnel_sock" },
	{ 0x2d7bc0ba, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x48ca5341, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4079a079, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8c2d6b63, "skb_scrub_packet" },
	{ 0x719c9239, "nexthop_select_path" },
	{ 0x58c5b683, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a12c0ca, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6a6c1a40, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xe5b44a88, "udp_tun_rx_dst" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x9bc46229, "rtnl_notify" },
	{ 0x3c07dc4a, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3f2d6857, "__netif_rx" },
	{ 0x2ea0b7fd, "skb_clone" },
	{ 0xae76cb4d, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc092aa1d, "dst_release" },
	{ 0xa9ca360b, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x702a31a, "udp_tunnel_notify_del_rx_port" },
	{ 0x1648ace, "register_nexthop_notifier" },
	{ 0x5ed3ca32, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2e0b8413, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe2c020c1, "netdev_core_stats_inc" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x283296d4, "netdev_info" },
	{ 0xc09a4231, "skb_dump" },
	{ 0x649b1801, "neigh_lookup" },
	{ 0x5f89b251, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x206aeba6, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe0ea62a4, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x72414c09, "skb_copy_bits" },
	{ 0xb5271ac8, "__nlmsg_put" },
	{ 0xabfd02a, "netdev_adjacent_change_commit" },
	{ 0xb44e52d3, "eth_mac_addr" },
	{ 0xd3a719bf, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1598f48a, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdf534ef3, "ip6_dst_hoplimit" },
	{ 0xdf7b6bed, "param_ops_ushort" },
	{ 0x480615a6, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x16b7cebc, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6d63fc75, "udp_tunnel6_xmit_skb" },
	{ 0xe27cc395, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9bf3c550, "__unregister_nexthop_notifier" },
	{ 0x7f155602, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xda4b3c6b, "eth_validate_addr" },
	{ 0x3ee34246, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf357611f, "rtnl_create_link" },
	{ 0x3773f2c8, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdf27b89c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x70579d43, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5fe3c167, "udp_tunnel_drop_rx_port" },
	{ 0x96978a20, "netdev_upper_dev_link" },
	{ 0x2934b8ff, "pskb_expand_head" },
	{ 0xb68a790f, "register_pernet_subsys" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0xbf4fba0a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xe4dc9205, "__alloc_skb" },
	{ 0x7407d446, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd215239d, "eth_gro_complete" },
	{ 0xef470584, "rtnl_set_sk_err" },
	{ 0xfa9706f1, "eth_gro_receive" },
	{ 0xfad64a4d, "rtnl_configure_link" },
	{ 0x669dc681, "skb_tunnel_check_pmtu" },
	{ 0x9ec515d7, "udp_tunnel_dst_lookup" },
	{ 0x40200caa, "rtnl_unicast" },
	{ 0x40366a18, "peernet2id" },
	{ 0x105f92b, "__skb_get_hash_net" },
	{ 0x3e54c46d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xe815861a, "__dev_get_by_index" },
	{ 0x2bb57bc1, "rtnl_link_unregister" },
	{ 0xeb96e5c0, "ipv6_stub" },
	{ 0x57d129e2, "skb_pull" },
	{ 0xd6d1647c, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb202f271, "dev_get_by_index_rcu" },
	{ 0x69cee288, "gro_cells_receive" },
	{ 0x8e6921c0, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x512c6564, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x7b31f393, "free_netdev" },
	{ 0xebb6219d, "ip_mc_join_group" },
	{ 0xc9c5d871, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "22D5A6E39F29B1F437404C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
