#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0xae9a4157, "");
SYMBOL_CRC(rtw_sdio_probe, 0x71d44d5a, "");
SYMBOL_CRC(rtw_sdio_remove, 0x9a65add1, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0xaf7276f2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeba8b77, "skb_queue_tail" },
	{ 0x85481e13, "sdio_set_host_pm_flags" },
	{ 0x5c70d664, "rtw_chip_info_setup" },
	{ 0xeee6c8b3, "rtw_unregister_hw" },
	{ 0x5587834a, "_dev_err" },
	{ 0x9a68b0fa, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8e6921c0, "skb_push" },
	{ 0x7a2a1695, "rtw_core_init" },
	{ 0x7afb983e, "sdio_readl" },
	{ 0x541483e6, "ieee80211_alloc_hw_nm" },
	{ 0x6066b01b, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x399a0a4f, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f78e7d9, "__netdev_alloc_skb" },
	{ 0x5e13f0dd, "rtw_rx_stats" },
	{ 0x2e720e57, "rtw_register_hw" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x66edc9c5, "rtw_dbg" },
	{ 0xab10b144, "rtw_core_deinit" },
	{ 0x1081d745, "rtw_ops" },
	{ 0x31b6a53c, "sdio_claim_irq" },
	{ 0x34ff8694, "skb_copy_header" },
	{ 0x8f5e20d6, "sdio_enable_func" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0x1e0a26ee, "rtw_power_mode_change" },
	{ 0xe80ece1a, "rtw_tx_write_data_h2c_get" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x372f4f12, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4a33e555, "ieee80211_rx_irqsafe" },
	{ 0xa6804022, "skb_queue_head" },
	{ 0x9cbbabe6, "sdio_readb" },
	{ 0x8c4e179d, "sdio_writeb" },
	{ 0xf715be63, "rtw_tx_report_enqueue" },
	{ 0x88e2488f, "sdio_release_host" },
	{ 0xe9f8ae6a, "rtw_tx_queue_mapping" },
	{ 0xfbdb593, "sdio_disable_func" },
	{ 0x294de3de, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd3a719bf, "skb_put" },
	{ 0xf15397a, "sdio_claim_host" },
	{ 0xb319b84d, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xabf1f3d2, "skb_dequeue" },
	{ 0xc683f374, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3aa07b57, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x29d8187e, "sdio_align_size" },
	{ 0xd85d6d35, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d1fe01e, "sdio_release_irq" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "FF0212588DFE998D5306EE3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
