#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16b9700b, "rdma_bind_addr" },
	{ 0x7fdd3116, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb7985576, "nvmet_req_init" },
	{ 0xefda3539, "rdma_create_qp" },
	{ 0x8a1c836f, "ib_create_srq_user" },
	{ 0xe7510e59, "__dma_sync_single_for_cpu" },
	{ 0xbc16bde7, "rdma_rw_ctx_wrs" },
	{ 0xdb54aefb, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa1d1f287, "ib_cq_pool_put" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x16a6404b, "nvmet_register_transport" },
	{ 0x33be2eb4, "rdma_notify" },
	{ 0x6e3909dc, "rdma_set_afonly" },
	{ 0x6573f300, "ida_free" },
	{ 0x86e7538f, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x13a9a825, "rdma_listen" },
	{ 0x43355adb, "rdma_destroy_qp" },
	{ 0x64da6e27, "ib_check_mr_status" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4d29e19a, "ib_destroy_qp_user" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd4d46a47, "rdma_rw_ctx_signature_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x190c300a, "ib_cq_pool_get" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x76b4ee2, "nvmet_req_alloc_sgls" },
	{ 0x1f172a35, "param_set_int" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xda1b15f, "rdma_destroy_id" },
	{ 0x5de82b48, "nvmet_sq_init" },
	{ 0xe7654c98, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c9d87dd, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x93b8f85f, "alloc_pages_noprof" },
	{ 0x704b9035, "ib_drain_qp" },
	{ 0x7c9e65ae, "nvmet_ctrl_fatal_error" },
	{ 0x529f533f, "ib_dealloc_pd_user" },
	{ 0x2a25945d, "nvmet_req_uninit" },
	{ 0x6f27febf, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x744be307, "rdma_rw_ctx_init" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xbe6ec35f, "dma_pci_p2pdma_supported" },
	{ 0x90bdad88, "ib_unregister_client" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x8ca13202, "rdma_reject_msg" },
	{ 0xed81e32e, "rdma_rw_ctx_destroy" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa16073d, "rdma_rw_mr_factor" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa1e2c3d2, "__ib_alloc_pd" },
	{ 0x40857764, "nvmet_req_complete" },
	{ 0x1c245098, "dma_unmap_page_attrs" },
	{ 0xb1d9c983, "nvmet_req_free_sgls" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f092c48, "rdma_rw_ctx_post" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x6ae1495d, "rdma_reject" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x17d6c8c1, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58ff3257, "dev_driver_string" },
	{ 0x7ac6c601, "ib_destroy_srq_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8b0048a, "nvmet_sq_destroy" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b642f17, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa858d772, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdeaa47a6, "rdma_rw_ctx_destroy_signature" },
	{ 0x318d6b87, "nvmet_unregister_transport" },
	{ 0xb7c699, "__free_pages" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "rdma_cm,ib_core,nvmet");


MODULE_INFO(srcversion, "3933BE2D667254E925BD05A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
