#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0xdbb4819a, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x3658452d, "");
SYMBOL_CRC(pcmcia_dev_present, 0x3ecc3613, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0x38ef366d, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0xcca17705, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xbec9860b, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0xd6015fa1, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x5099bf70, "");
SYMBOL_CRC(pcmcia_release_window, 0x704c3011, "");
SYMBOL_CRC(pcmcia_enable_device, 0x49c902fa, "");
SYMBOL_CRC(pcmcia_request_io, 0x4e6ee11f, "");
SYMBOL_CRC(pcmcia_request_irq, 0x10ac0cfa, "");
SYMBOL_CRC(pcmcia_request_window, 0x196761b6, "");
SYMBOL_CRC(pcmcia_disable_device, 0x40176e12, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x8878284a, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x02462bd7, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x7fa8b689, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x4eb39470, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0x276a6943, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2c5a3120, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x646060eb, "device_register" },
	{ 0x5a7d9aba, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ce01c43, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf464af71, "_dev_notice" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc4bed51d, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xce0bf101, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbc33f906, "param_ops_int" },
	{ 0xb3c2e339, "sysfs_remove_bin_file" },
	{ 0xcfcf0549, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xcb557b60, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb9b0de46, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xe5017ec7, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0x7c059229, "driver_remove_file" },
	{ 0x4de9c1de, "driver_attach" },
	{ 0xdc59528e, "device_unregister" },
	{ 0xc7a03569, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x64873d32, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x47a71f38, "get_device" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5efe7ccd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ad025a8, "driver_create_file" },
	{ 0x5859017a, "bus_for_each_dev" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfe4641ac, "pccard_register_pcmcia" },
	{ 0x3f702d3a, "module_put" },
	{ 0x495c8be6, "bus_unregister" },
	{ 0x5587834a, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "CEAC93FEBCCD66124946DAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
