#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xa9e7f34b, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xfce24650, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x6ef8d638, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xeff40cbe, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x2e4c5a9e, "");
SYMBOL_CRC(cdns_read_ping_status, 0x0e4d898d, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x4ccc02dc, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x6fe0aa86, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xf51ee11e, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x0ec35b4a, "");
SYMBOL_CRC(sdw_cdns_init, 0x8e8ccc32, "");
SYMBOL_CRC(cdns_bus_conf, 0x10701ff0, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x49ee7ba2, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xfad7ab71, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x59f63cb9, "");
SYMBOL_CRC(sdw_cdns_probe, 0x108bf1df, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xf2726963, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x7f9caa2a, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0xb4b51144, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xb7ccbfb7, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2fff5f75, "sdw_handle_slave_status" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xcc7c46cb, "debugfs_attr_read" },
	{ 0x5587834a, "_dev_err" },
	{ 0xb887a8a8, "simple_attr_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66afccf6, "seq_read" },
	{ 0xe3513c2c, "debugfs_create_file" },
	{ 0x15461ea9, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0x2408ea2a, "single_release" },
	{ 0x106af70b, "sdw_bread_no_pm_unlocked" },
	{ 0x3934e97a, "__pm_runtime_suspend" },
	{ 0xbc33f906, "param_ops_int" },
	{ 0x10cfc04d, "single_open" },
	{ 0x487b1cd6, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1dc0f67f, "sdw_bus_prep_clk_stop" },
	{ 0x7b039f99, "simple_attr_open" },
	{ 0xed893cf1, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x953d24d3, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "165D6245310C9C55DE49329");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
