#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xbaa39410, "_gpl");
SYMBOL_CRC(teedev_close_context, 0xbf1d9312, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x6600da43, "_gpl");
SYMBOL_CRC(tee_device_register, 0x55318dae, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x39814c4a, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x16ecc682, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xb670d14c, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xc6cbbb25, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0xf91fc997, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x62f43c5e, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xf0e720be, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0xff2f248a, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x17ec43aa, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x63c47784, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x4a7d6ada, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0xdc125f94, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x6cc85e4a, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0x1902f9d8, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xfb9cccec, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x9f34298f, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x1238e5e3, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0xddce1f82, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0xb7c220fa, "_gpl");
SYMBOL_CRC(tee_shm_put, 0xa2cf6d96, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x19c8f242, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76983ae4, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4773ff15, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x58439a52, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xb1973c9, "cdev_device_add" },
	{ 0x14549cf4, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5efe7ccd, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x61422717, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x24b95595, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x495c8be6, "bus_unregister" },
	{ 0x5587834a, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x6edce96f, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x530c3e66, "crypto_shash_update" },
	{ 0x7e663f97, "class_unregister" },
	{ 0x727223f4, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x190a2bf6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcd82b988, "make_kgid" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x69fb30c8, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0x91c1a9f2, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xb5203df2, "gen_pool_alloc_algo_owner" },
	{ 0x110f2199, "gen_pool_first_fit_align" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x79cfb346, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x24c69b13, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe7bf0316, "iov_iter_npages" },
	{ 0xdd6ef3e4, "class_register" },
	{ 0x76c1073e, "cdev_init" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xcb557b60, "bus_register" },
	{ 0x739fa2c, "class_find_device" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3e55dc6e, "gen_pool_create" },
	{ 0xc4daeee5, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x9233c07b, "idr_replace" },
	{ 0xb6f5cc26, "device_initialize" },
	{ 0xb118472e, "unpin_user_pages" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FB024C41AF33DA242C946B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
