#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x59d8f5bc, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x5d1b39eb, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xc2c2e34a, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x0572dd99, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x2f2cb507, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xc04c3e36, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xbcfdef42, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x26270fc9, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xfe2049dc, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x8d0e8a7f, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xd4ea82ea, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xef3ccd10, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xbd1e88e3, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xa2056039, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x6fc747d2, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x952732fc, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xb7627b3b, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x9bd8f017, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x5c623615, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x1f40086d, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xff447088, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xb32f4ec6, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x66746ba4, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xc2796ef7, "");
SYMBOL_CRC(ufshcd_system_resume, 0x154451c4, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x762e69e2, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x49fd7338, "");
SYMBOL_CRC(ufshcd_remove, 0x2e116b71, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x18d3b901, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x618193d5, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xd1251167, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x9a5b8616, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x3abe27e8, "");
SYMBOL_CRC(ufshcd_init, 0x9c3f83af, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xc9c8557d, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xbd2bb963, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x3520ecc8, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xebf096d1, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x87bdfd1e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x455d5c6a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x469ec459, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x6c4bdcab, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0xd1e1226e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xe1615608, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0xda34819a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x24b59997, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc4ee4870, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2ab7912c, "scsi_change_queue_depth" },
	{ 0xc51b5c2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xf661c422, "device_remove_file" },
	{ 0x810201f2, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0x5e28f1bb, "scsi_dma_map" },
	{ 0xa77c9048, "scsi_print_sense_hdr" },
	{ 0x5f07bcbe, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x843a3a51, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x7b039f99, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe668bd2a, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x70ab3be1, "devm_request_threaded_irq" },
	{ 0xed893cf1, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xaed35e52, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x609390fc, "scsi_autopm_put_device" },
	{ 0x5c8683ac, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5792e0ff, "bsg_remove_queue" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0xcc250f6e, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd2d71912, "dmam_alloc_attrs" },
	{ 0xb0d1eb3c, "trace_raw_output_prep" },
	{ 0x57c987cd, "scsi_remove_host" },
	{ 0xec64e67c, "bpf_trace_run6" },
	{ 0x899f217f, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xead70b6e, "__trace_trigger_soft_disabled" },
	{ 0xd9a94087, "blk_pm_runtime_init" },
	{ 0x28810dbc, "trace_event_printf" },
	{ 0x8c62ad40, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xeef5cb09, "sysfs_remove_groups" },
	{ 0x684817c6, "hwmon_notify_event" },
	{ 0x7d9e4dc1, "pm_runtime_get_if_active" },
	{ 0x98d71d87, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xbfc97bdc, "up" },
	{ 0xb6f5cc26, "device_initialize" },
	{ 0x950a8d0b, "devfreq_recommended_opp" },
	{ 0x33be06c7, "sysfs_create_groups" },
	{ 0x9904c57b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3f78f223, "scsi_dma_unmap" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xb7ccbfb7, "seq_lseek" },
	{ 0xad7ab067, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe14424da, "bpf_trace_run2" },
	{ 0x225efac, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x47a71f38, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xffb5a34, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf323ccf0, "blk_mq_alloc_tag_set" },
	{ 0xafd9d162, "devfreq_add_device" },
	{ 0x58ff3257, "dev_driver_string" },
	{ 0xbe6df283, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xae2a67d9, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdecc21d, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf23a81f3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5efe7ccd, "put_device" },
	{ 0x7f6d0e41, "blk_mq_unquiesce_tagset" },
	{ 0x4bb061a7, "dev_pm_opp_put" },
	{ 0x866056cc, "blk_mq_free_request" },
	{ 0x698dc869, "device_property_read_u32_array" },
	{ 0x81dc9dbc, "devm_regulator_get" },
	{ 0x50b43170, "dev_pm_opp_get_freq_indexed" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8918aea5, "scsi_device_put" },
	{ 0x9e9d39bc, "device_create_file" },
	{ 0x553886d5, "blk_mq_quiesce_tagset" },
	{ 0xcc7c46cb, "debugfs_attr_read" },
	{ 0x60d524f9, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7c9a514c, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa1488437, "devm_kfree" },
	{ 0x5587834a, "_dev_err" },
	{ 0xe6e50942, "devfreq_remove_device" },
	{ 0xc732c9c6, "scsi_host_put" },
	{ 0xeed7fd81, "up_write" },
	{ 0xccab068c, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb887a8a8, "simple_attr_release" },
	{ 0x49912c32, "hwmon_device_register_with_info" },
	{ 0x298ac902, "dev_pm_opp_add_dynamic" },
	{ 0x32a460e8, "down" },
	{ 0x4a6bf274, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3610b305, "dev_pm_opp_remove" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6144c096, "cpu_latency_qos_update_request" },
	{ 0xd3e1fbfa, "sdev_prefix_printk" },
	{ 0x1847b385, "scsi_scan_host" },
	{ 0xc3580a0f, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x2bb353be, "trace_event_reg" },
	{ 0xf2c5fbd4, "device_link_remove" },
	{ 0xce34acfa, "blk_mq_alloc_request" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0x395415f1, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb69baa9c, "blk_put_queue" },
	{ 0x6694242d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfcc94de9, "dev_pm_opp_set_opp" },
	{ 0x90fb2e39, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd5fd7943, "regulator_count_voltages" },
	{ 0x2a1a7f3b, "scsi_is_host_device" },
	{ 0x24994782, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3843828c, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ba54530, "bpf_trace_run10" },
	{ 0x1527cfb3, "scsi_device_quiesce" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5750e96c, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc329a249, "dma_set_coherent_mask" },
	{ 0x73847bdd, "scsi_print_command" },
	{ 0x66afccf6, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x12332da9, "__scsi_register_driver" },
	{ 0x3b7fe56d, "pm_runtime_forbid" },
	{ 0xe3513c2c, "debugfs_create_file" },
	{ 0xcd2ab301, "param_set_uint_minmax" },
	{ 0xa2a40d2, "blk_mq_freeze_queue" },
	{ 0xfc5946ab, "pm_runtime_allow" },
	{ 0xfa569d58, "trace_event_buffer_reserve" },
	{ 0x15461ea9, "__pm_runtime_resume" },
	{ 0xdbc111f9, "devfreq_suspend_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xc00a2ff8, "blk_mq_destroy_queue" },
	{ 0x29fb8555, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1e1088df, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x6e33c8b2, "devm_blk_crypto_profile_init" },
	{ 0x27f7c9e7, "hwmon_device_unregister" },
	{ 0x37d0640d, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xcfad3fb2, "blk_mq_tagset_busy_iter" },
	{ 0x82ffd804, "scsi_done" },
	{ 0x2408ea2a, "single_release" },
	{ 0x66be7b85, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x4802d6e5, "dma_set_mask" },
	{ 0x9a27b045, "sbitmap_weight" },
	{ 0xaa6235f1, "regulator_disable" },
	{ 0xc49e05cd, "dev_err_probe" },
	{ 0x9287c09b, "dma_unmap_sg_attrs" },
	{ 0xadd22dad, "scsi_remove_device" },
	{ 0xe9f37fbf, "scsi_block_requests" },
	{ 0xabb2f070, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10cfc04d, "single_open" },
	{ 0xb107f9ff, "scsi_host_alloc" },
	{ 0x415a7fa, "__scsi_add_device" },
	{ 0x13032791, "devfreq_resume_device" },
	{ 0xe615f5f9, "debugfs_create_dir" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "8E907BF268EF0819E4FC5EF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
