#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0x1d42d4e0, "_gpl");
SYMBOL_CRC(cdns_remove, 0xca9b43f3, "_gpl");
SYMBOL_CRC(cdns_suspend, 0xbb3a1254, "_gpl");
SYMBOL_CRC(cdns_resume, 0x36801f30, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x03d9ad7b, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0x1172d3d7, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0x79e1e686, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0xc763e7f4, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0xcaf08b04, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0xb83f02c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73f05142, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x46a5dca9, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xae2a67d9, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa0e42204, "pm_runtime_enable" },
	{ 0xe21928db, "platform_device_add_resources" },
	{ 0x5587834a, "_dev_err" },
	{ 0x3b9c60e1, "platform_device_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x882a2a06, "phy_reset" },
	{ 0x160917e5, "platform_device_add" },
	{ 0xd93f95e, "platform_device_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0xc3ac2f77, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe9c12df8, "usb_role_switch_register" },
	{ 0xc329a249, "dma_set_coherent_mask" },
	{ 0xf9f238ed, "phy_set_mode_ext" },
	{ 0x15461ea9, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x501c76f3, "devm_ioremap_resource" },
	{ 0x4802d6e5, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6c8d0465, "__pm_runtime_disable" },
	{ 0xc51b5c2, "__pm_runtime_idle" },
	{ 0x800b9c56, "platform_device_put" },
	{ 0x5662b2e4, "device_property_present" },
	{ 0x70ab3be1, "devm_request_threaded_irq" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "6A5A7B16A4252F57F5E1287");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
