#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u_audio_set_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_suspend, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_mute, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_mute, "_gpl", "");
KSYMTAB_FUNC(g_audio_setup, "_gpl", "");
KSYMTAB_FUNC(g_audio_cleanup, "_gpl", "");

SYMBOL_CRC(u_audio_set_capture_srate, 0x6b0d1701, "_gpl");
SYMBOL_CRC(u_audio_get_capture_srate, 0x80f42db7, "_gpl");
SYMBOL_CRC(u_audio_set_playback_srate, 0xdde51d22, "_gpl");
SYMBOL_CRC(u_audio_get_playback_srate, 0x1c65f28a, "_gpl");
SYMBOL_CRC(u_audio_start_capture, 0xe38df67a, "_gpl");
SYMBOL_CRC(u_audio_stop_capture, 0xd1dfac49, "_gpl");
SYMBOL_CRC(u_audio_start_playback, 0x6019eb29, "_gpl");
SYMBOL_CRC(u_audio_stop_playback, 0xdffbd865, "_gpl");
SYMBOL_CRC(u_audio_suspend, 0xcd16b68b, "_gpl");
SYMBOL_CRC(u_audio_get_volume, 0xf2077927, "_gpl");
SYMBOL_CRC(u_audio_set_volume, 0x67c5339c, "_gpl");
SYMBOL_CRC(u_audio_get_mute, 0xa72e1e74, "_gpl");
SYMBOL_CRC(u_audio_set_mute, 0x2ac555f4, "_gpl");
SYMBOL_CRC(g_audio_setup, 0x4928f2d8, "_gpl");
SYMBOL_CRC(g_audio_cleanup, 0x7686ac14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x5587834a, "_dev_err" },
	{ 0x53f0318b, "snd_pcm_stream_lock" },
	{ 0x88ffb644, "snd_pcm_stream_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x399427b9, "snd_pcm_period_elapsed" },
	{ 0x6d57bb2d, "snd_ctl_notify" },
	{ 0xbe82550d, "config_ep_by_speed" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x7860de1f, "snd_pcm_hw_constraint_integer" },
	{ 0xa7aee2f1, "snd_card_free_when_closed" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa8ea354e, "snd_card_new" },
	{ 0x2f426fc6, "snd_pcm_new" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1d82a061, "snd_pcm_set_ops" },
	{ 0x1e0a46b7, "snd_ctl_new1" },
	{ 0xfa5439cb, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4bc88ce1, "snd_pcm_set_managed_buffer_all" },
	{ 0x1e77cee4, "snd_card_register" },
	{ 0xb42e76d2, "snd_card_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,libcomposite");


MODULE_INFO(srcversion, "ADE4E24B13E0AE5097390A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
