#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0xb3bc9deb, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x4833be4e, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0xc0206ac0, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xaf89b8a4, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x7d59b5ec, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xbd261fc6, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0xd657cb54, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x0f7834e3, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x8e366862, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x18876cae, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x86c963b4, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x0e41db72, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x430f620e, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x4783ac21, "_gpl");
SYMBOL_CRC(gether_suspend, 0xb37809cd, "_gpl");
SYMBOL_CRC(gether_resume, 0xf4fca98e, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x5d0b39dc, "_gpl");
SYMBOL_CRC(gether_disconnect, 0xd5b1e43d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0xa27461c9, "register_netdev" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x133d8906, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x4a5f4138, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7b31f393, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5587834a, "_dev_err" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8f78e7d9, "__netdev_alloc_skb" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0xd3a719bf, "skb_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xabf1f3d2, "skb_dequeue" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xfeba8b77, "skb_queue_tail" },
	{ 0xbf4fba0a, "eth_type_trans" },
	{ 0x8d05defc, "netif_rx" },
	{ 0xa4c16282, "netif_tx_wake_queue" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x8516f4b8, "netif_carrier_on" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5e229efc, "alloc_etherdev_mqs" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x88964750, "usb_func_wakeup" },
	{ 0xb9a6d43c, "usb_gadget_wakeup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb44e52d3, "eth_mac_addr" },
	{ 0xda4b3c6b, "eth_validate_addr" },
	{ 0xa2e5ab29, "ethtool_op_get_link" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "778C22C6102DA480283AC31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
