#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86c963b4, "gether_set_qmult" },
	{ 0x91fcdca5, "config_group_init_type_name" },
	{ 0xf7834e3, "gether_get_host_addr" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xaf89b8a4, "gether_set_gadget" },
	{ 0x7b31f393, "free_netdev" },
	{ 0x8e1b5841, "usb_ep_autoconfig" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xc3913daf, "usb_put_function_instance" },
	{ 0x5d0b39dc, "gether_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0xbd261fc6, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd657cb54, "gether_set_host_addr" },
	{ 0x8f78e7d9, "__netdev_alloc_skb" },
	{ 0x33f1d980, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x430f620e, "gether_get_ifname" },
	{ 0x2d75696f, "usb_ep_set_halt" },
	{ 0x4783ac21, "gether_set_ifname" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x8e366862, "gether_get_host_addr_cdc" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x4833be4e, "gether_setup_name_default" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xe41db72, "gether_get_qmult" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xfea885e4, "usb_free_all_descriptors" },
	{ 0x3d0a4ac8, "usb_gstrings_attach" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xd3a719bf, "skb_put" },
	{ 0xed8da4b0, "usb_os_desc_prepare_interf_dir" },
	{ 0xa356b486, "hrtimer_try_to_cancel" },
	{ 0xe7a17651, "usb_interface_id" },
	{ 0x3a5d3be2, "usb_assign_descriptors" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5b1e43d, "gether_disconnect" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0xbe82550d, "config_ep_by_speed" },
	{ 0x7d59b5ec, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe4dc9205, "__alloc_skb" },
	{ 0xc0206ac0, "gether_register_netdev" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0xfeba8b77, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0x3a3a6785, "usb_function_register" },
	{ 0x5587834a, "_dev_err" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "2827E1C345C5ADE2607BE2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
