#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x59f53315, "");
SYMBOL_CRC(bt_sock_register, 0xab27aef7, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xbb655c52, "");
SYMBOL_CRC(bt_sock_link, 0x4539e252, "");
SYMBOL_CRC(bt_sock_unlink, 0x2fd1b095, "");
SYMBOL_CRC(bt_accept_enqueue, 0x10f97110, "");
SYMBOL_CRC(bt_accept_unlink, 0xabdce29f, "");
SYMBOL_CRC(bt_accept_dequeue, 0x2e4e447d, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xd22dd221, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x75321e7c, "");
SYMBOL_CRC(bt_sock_poll, 0x1405cc52, "");
SYMBOL_CRC(bt_sock_ioctl, 0x1a38fc3c, "");
SYMBOL_CRC(bt_sock_wait_state, 0xd1c9cd4d, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xb84a8403, "");
SYMBOL_CRC(bt_procfs_init, 0xd8361ae9, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xbbc1212a, "");
SYMBOL_CRC(bt_debugfs, 0xbfc28e8f, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x351381f0, "");
SYMBOL_CRC(hci_free_dev, 0x8649b9a1, "");
SYMBOL_CRC(hci_register_dev, 0x20302b56, "");
SYMBOL_CRC(hci_unregister_dev, 0x1e872e37, "");
SYMBOL_CRC(hci_release_dev, 0x7eca1e7d, "");
SYMBOL_CRC(hci_suspend_dev, 0x3fbca5db, "");
SYMBOL_CRC(hci_resume_dev, 0x9d566853, "");
SYMBOL_CRC(hci_reset_dev, 0x86bdf705, "");
SYMBOL_CRC(hci_recv_frame, 0xc5241acb, "");
SYMBOL_CRC(hci_recv_diag, 0x96291731, "");
SYMBOL_CRC(hci_set_hw_info, 0x15e3a14d, "");
SYMBOL_CRC(hci_set_fw_info, 0x21295dc8, "");
SYMBOL_CRC(hci_register_cb, 0xa965d9cd, "");
SYMBOL_CRC(hci_unregister_cb, 0x113dfb32, "");
SYMBOL_CRC(__hci_cmd_send, 0x20794c89, "");
SYMBOL_CRC(hci_get_route, 0x8b22f2ec, "");
SYMBOL_CRC(hci_conn_security, 0x1a786b2e, "");
SYMBOL_CRC(hci_conn_check_secure, 0xd667c690, "");
SYMBOL_CRC(hci_conn_switch_role, 0x75841b3f, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x5e416a97, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xe0210379, "");
SYMBOL_CRC(l2cap_add_psm, 0x2afadedf, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xd45a3e3d, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xfcf6f456, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xc521d7f2, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x2f59b62f, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x0a1dd857, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xead85188, "");
SYMBOL_CRC(l2cap_register_user, 0xe44aff1a, "");
SYMBOL_CRC(l2cap_unregister_user, 0x45373f81, "");
SYMBOL_CRC(l2cap_conn_get, 0xf8a1caff, "");
SYMBOL_CRC(l2cap_conn_put, 0x0e03ea12, "");
SYMBOL_CRC(l2cap_chan_send, 0xa405ae77, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xe53b30bb, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x253d1b65, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x4414c468, "");
SYMBOL_CRC(__hci_cmd_sync, 0xd62d409e, "");
SYMBOL_CRC(hci_cmd_sync, 0x06a94bb2, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x2f14e8c4, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x4e508b2b, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x6916207f, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x9f15096d, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xc0a9bbde, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xd8cf0f68, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x45587305, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xad5f6b2d, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xde1d4368, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x185c6dc2, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xca06a81e, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x8acbecc0, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x8d46b1cd, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x1bb2f095, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x2d270279, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xd8f4c5c9, "");
SYMBOL_CRC(hci_devcd_init, 0x8e27c0c7, "");
SYMBOL_CRC(hci_devcd_append, 0x19713b29, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x294d762d, "");
SYMBOL_CRC(hci_devcd_complete, 0x73e17c90, "");
SYMBOL_CRC(hci_devcd_abort, 0xcd130ef3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xd3a719bf, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0x36541b48, "scm_detach_fds" },
	{ 0x40306256, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xdc59528e, "device_unregister" },
	{ 0xabf1f3d2, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x80a2ada1, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0xb6f5cc26, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb7ccbfb7, "seq_lseek" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xed2525b2, "sock_no_connect" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xe4f4d796, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x26360536, "led_trigger_unregister_simple" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x1ae29d7d, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x47a71f38, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x9a915823, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3efe41b, "__put_cred" },
	{ 0xe881350f, "put_cmsg" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0x4773ff15, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xdff84e07, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x344cc457, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6f1a2ba3, "sock_register" },
	{ 0x65b28ad1, "datagram_poll" },
	{ 0xf8acf98, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x5efe7ccd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe4dc9205, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xc0b0ea82, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfeba8b77, "skb_queue_tail" },
	{ 0x3f702d3a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x2d5e6e0c, "__sock_recv_timestamp" },
	{ 0xe1ed6b6, "sock_no_shutdown" },
	{ 0xdb1f3608, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa1488437, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xdb54aefb, "init_net" },
	{ 0x7639887b, "crypto_shash_setkey" },
	{ 0x57d129e2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xccab068c, "device_add" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9fd29a0, "init_uts_ns" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0x8ac77846, "sk_free" },
	{ 0xd6048265, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x78195f97, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8e6921c0, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xae455f91, "sock_no_listen" },
	{ 0xc3580a0f, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xdcf4252f, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6edce96f, "iov_iter_kvec" },
	{ 0x6573f300, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x7e663f97, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x1d20fc4b, "lock_sock_nested" },
	{ 0xb90d3b23, "device_find_child" },
	{ 0x2a622288, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x745b78d8, "skb_copy_datagram_iter" },
	{ 0x522ad0bc, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b7ee853, "sk_alloc" },
	{ 0x6694242d, "device_del" },
	{ 0xd79246b6, "__sock_queue_rcv_skb" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x84ff537c, "__sock_recv_wifi_status" },
	{ 0x35da173f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6442a225, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xb47a29b4, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb1ad84c7, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x7752eeb7, "security_sk_clone" },
	{ 0xafa6838b, "__pskb_pull_tail" },
	{ 0x58a2fd7d, "__scm_destroy" },
	{ 0x59e5b3b7, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x48ca5341, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x18ea806d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0x66afccf6, "seq_read" },
	{ 0x58b0bb1a, "sock_i_ino" },
	{ 0xe3513c2c, "debugfs_create_file" },
	{ 0xa6a2cb0a, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xec2391c5, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83604365, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x47912659, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa7d881d3, "sock_alloc_send_pskb" },
	{ 0x8a677cef, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8bf15ffe, "remove_proc_entry" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8e1075fc, "skb_copy" },
	{ 0x2ea0b7fd, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd79f22a7, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x7b7fe4f8, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x1333521b, "sock_gettstamp" },
	{ 0x2408ea2a, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xed2054fa, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xac60dbfc, "from_kuid_munged" },
	{ 0x16d9086, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x175d54a9, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf1c9d7cc, "proc_create_seq_private" },
	{ 0x10cfc04d, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x24c69b13, "crypto_alloc_shash" },
	{ 0xe615f5f9, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf110ab4a, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc7043d85, "put_pid" },
	{ 0xdd6ef3e4, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcd948c4c, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66d47460, "__dev_fwnode" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xc09a4231, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5f89b251, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa6804022, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x9169de79, "security_sock_graft" },
	{ 0x3c6718f6, "skb_free_datagram" },
	{ 0x868c5f5b, "sock_queue_rcv_skb_reason" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xb9b0de46, "try_module_get" },
	{ 0x86357f02, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "C5B8C7E7358B872720422D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
