#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x305f356, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bf15ffe, "remove_proc_entry" },
	{ 0x11964822, "proc_create_net_data" },
	{ 0x935df128, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x5ca3d625, "l2tp_udp_encap_recv" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x868c5f5b, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32c54abe, "ppp_input" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x57d129e2, "skb_pull" },
	{ 0xafa6838b, "__pskb_pull_tail" },
	{ 0xf42610f1, "l2tp_session_get_nth" },
	{ 0x1d20fc4b, "lock_sock_nested" },
	{ 0x5f89b251, "release_sock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b34ae94, "ip6_mtu" },
	{ 0xc092aa1d, "dst_release" },
	{ 0x4810325d, "ppp_register_net_channel" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x800f09de, "l2tp_tunnel_delete" },
	{ 0xe23a28f4, "l2tp_session_create" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0xa5d16b6e, "l2tp_session_inc_refcount" },
	{ 0x1e92a63d, "l2tp_session_register" },
	{ 0x1f58ba31, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x55c1312e, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ac77846, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x200e65c1, "ppp_dev_name" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8a677cef, "seq_write" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9c49f4e4, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbe2ac0e0, "pppox_unbind_sock" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x193f55f, "sock_wmalloc" },
	{ 0xd3a719bf, "skb_put" },
	{ 0xd79f22a7, "_copy_from_iter" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xa3fd9ba8, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x175d54a9, "iov_iter_revert" },
	{ 0x2934b8ff, "pskb_expand_head" },
	{ 0x54ea75e7, "sock_no_bind" },
	{ 0x6442a225, "sock_no_socketpair" },
	{ 0x78195f97, "sock_no_accept" },
	{ 0x65b28ad1, "datagram_poll" },
	{ 0x803abdce, "pppox_ioctl" },
	{ 0xb536d392, "pppox_compat_ioctl" },
	{ 0xae455f91, "sock_no_listen" },
	{ 0xe1ed6b6, "sock_no_shutdown" },
	{ 0xb1ad84c7, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7641194b, "register_pernet_device" },
	{ 0xc0b0ea82, "proto_register" },
	{ 0xf7bda4d8, "register_pppox_proto" },
	{ 0x5fb075a0, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x344cc457, "proto_unregister" },
	{ 0xff58f8f5, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x72455ed7, "l2tp_session_get" },
	{ 0xb478cf27, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b7ee853, "sk_alloc" },
	{ 0xcd948c4c, "sock_init_data" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0x47912659, "skb_recv_datagram" },
	{ 0x745b78d8, "skb_copy_datagram_iter" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0x35698684, "l2tp_tunnel_get" },
	{ 0xf0bc09db, "l2tp_tunnel_create" },
	{ 0xe2135718, "l2tp_tunnel_inc_refcount" },
	{ 0x4f453538, "l2tp_tunnel_register" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "158009D2E264153F863F927");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
