#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x325eae8f, "");
SYMBOL_CRC(pn_sock_unhash, 0x6923a3e8, "");
SYMBOL_CRC(phonet_stream_ops, 0x7e6b16dc, "");
SYMBOL_CRC(pn_sock_get_port, 0x92534feb, "");
SYMBOL_CRC(phonet_header_ops, 0xbdcb6804, "");
SYMBOL_CRC(pn_skb_send, 0xa1ed088f, "");
SYMBOL_CRC(phonet_proto_register, 0xbf932d0f, "");
SYMBOL_CRC(phonet_proto_unregister, 0x18e998bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4b4714e, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x344cc457, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6f1a2ba3, "sock_register" },
	{ 0x65b28ad1, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xe4dc9205, "__alloc_skb" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0xc00ed568, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xef470584, "rtnl_set_sk_err" },
	{ 0xc0b0ea82, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3f702d3a, "module_put" },
	{ 0xbbeecb4b, "__sk_receive_skb" },
	{ 0xe1ed6b6, "sock_no_shutdown" },
	{ 0xe815861a, "__dev_get_by_index" },
	{ 0xdb54aefb, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0xdda96380, "dev_remove_pack" },
	{ 0x796e599e, "dev_get_by_index" },
	{ 0x8ac77846, "sk_free" },
	{ 0x78195f97, "sock_no_accept" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8e6921c0, "skb_push" },
	{ 0xae455f91, "sock_no_listen" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x1d20fc4b, "lock_sock_nested" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x745b78d8, "skb_copy_datagram_iter" },
	{ 0xd11a9814, "rtnl_register_module" },
	{ 0x5b7ee853, "sk_alloc" },
	{ 0x3f9398b1, "unregister_pernet_subsys" },
	{ 0x6442a225, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1ad84c7, "sock_no_mmap" },
	{ 0xafa6838b, "__pskb_pull_tail" },
	{ 0x8d05defc, "netif_rx" },
	{ 0x4d806805, "sock_common_recvmsg" },
	{ 0x48ca5341, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe71a770d, "sk_common_release" },
	{ 0xf1752489, "seq_pad" },
	{ 0x58b0bb1a, "sock_i_ino" },
	{ 0x96f7c2a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe1ed9c9, "prepare_to_wait_exclusive" },
	{ 0x47912659, "skb_recv_datagram" },
	{ 0xa7d881d3, "sock_alloc_send_pskb" },
	{ 0x8a677cef, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8bf15ffe, "remove_proc_entry" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x9bc46229, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0x2ea0b7fd, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd79f22a7, "_copy_from_iter" },
	{ 0x5a16710f, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xac60dbfc, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x175d54a9, "iov_iter_revert" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcd948c4c, "sock_init_data" },
	{ 0x60c7e78e, "sk_ioctl" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5f89b251, "release_sock" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x9169de79, "security_sock_graft" },
	{ 0x3c6718f6, "skb_free_datagram" },
	{ 0x868c5f5b, "sock_queue_rcv_skb_reason" },
	{ 0xb9b0de46, "try_module_get" },
	{ 0x86357f02, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb5271ac8, "__nlmsg_put" },
	{ 0xd3a719bf, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x480615a6, "consume_skb" },
	{ 0x5438ad39, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x2aabdb0e, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x755c5700, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xed2525b2, "sock_no_connect" },
	{ 0xe19aa24b, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x11964822, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2934b8ff, "pskb_expand_head" },
	{ 0xb68a790f, "register_pernet_subsys" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD1A88050418970A464954E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
