#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_vx_check_reg_bit, "", "");
KSYMTAB_FUNC(snd_vx_load_boot_image, "", "");
KSYMTAB_FUNC(snd_vx_threaded_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_dsp_boot, "", "");
KSYMTAB_FUNC(snd_vx_dsp_load, "", "");
KSYMTAB_FUNC(snd_vx_suspend, "", "");
KSYMTAB_FUNC(snd_vx_resume, "", "");
KSYMTAB_FUNC(snd_vx_create, "", "");
KSYMTAB_FUNC(snd_vx_setup_firmware, "", "");
KSYMTAB_FUNC(snd_vx_free_firmware, "", "");

SYMBOL_CRC(snd_vx_check_reg_bit, 0x35960179, "");
SYMBOL_CRC(snd_vx_load_boot_image, 0xa2a7460d, "");
SYMBOL_CRC(snd_vx_threaded_irq_handler, 0x226138b0, "");
SYMBOL_CRC(snd_vx_irq_handler, 0xf1f04d23, "");
SYMBOL_CRC(snd_vx_dsp_boot, 0x491ed745, "");
SYMBOL_CRC(snd_vx_dsp_load, 0x8168a3bc, "");
SYMBOL_CRC(snd_vx_suspend, 0x747fa0b2, "");
SYMBOL_CRC(snd_vx_resume, 0xd5fb2374, "");
SYMBOL_CRC(snd_vx_create, 0xbd863242, "");
SYMBOL_CRC(snd_vx_setup_firmware, 0xdb2d18af, "");
SYMBOL_CRC(snd_vx_free_firmware, 0xcc28c7ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e3d57df, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfa5439cb, "snd_ctl_add" },
	{ 0x2f426fc6, "snd_pcm_new" },
	{ 0x1e77cee4, "snd_card_register" },
	{ 0xc7a03569, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2926da91, "snd_card_rw_proc_new" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3796bdcc, "snd_pcm_format_little_endian" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e0a46b7, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x614c7976, "__snd_printk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x625ec99a, "__devres_alloc_node" },
	{ 0xc10b34b, "snd_ctl_boolean_stereo_info" },
	{ 0x1d82a061, "snd_pcm_set_ops" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4bc88ce1, "snd_pcm_set_managed_buffer_all" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0x399427b9, "snd_pcm_period_elapsed" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd");


MODULE_INFO(srcversion, "6114A225541791D3BFCBEDD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
