#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x4a7a26d0, "");
SYMBOL_CRC(hda_bus_ml_free, 0x4940d5c8, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x4ee2fc0c, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x6e7f7523, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x95ab101a, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xe884f314, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0xa731ac10, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x2e023d35, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xc83d3c89, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x4b71a5cb, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x236e8358, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x5af46b59, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x69131b46, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x3bc080ad, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x37e3c9f7, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xafce6bc4, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x9fd149b7, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x9c2aae87, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x3f89c821, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x8bb5a627, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x7e2fe964, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x95291896, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x57cc5a53, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xa991019e, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xaa7ab8c1, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xed7a5891, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x1f96ecfd, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xde82972f, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x153d0f1e, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xc85035aa, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x2f6a0fab, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x7b6cabd8, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xcbd59899, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3267afdb, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef0d5707, "snd_hdac_ext_bus_link_power_down" },
	{ 0x5587834a, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x2005103c, "snd_hdac_ext_bus_link_put" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "1FE7A5672CF53E030E982B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
