#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x9dd14b62, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0xca6a33c8, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x76c67f1c, "");
SYMBOL_CRC(mtl_enable_interrupts, 0xd8f0b487, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0xd8b02d72, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0xa35afd85, "");
SYMBOL_CRC(mtl_dsp_dump, 0x4aeb3fdd, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x7bf4d28e, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x48ec3466, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0xb5ed3da9, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0xbe563e56, "");
SYMBOL_CRC(mtl_ipc_dump, 0x06b28e2c, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x6c6a011d, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xbd267ece, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0x33b25007, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbce194a9, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x3976f550, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe0a60dca, "sof_hda_common_ops" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6de16eb3, "hda_sdw_check_lcount_common" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcd5af5d5, "hda_pci_intel_probe" },
	{ 0x1feb4a5f, "snd_sof_dsp_dbg_dump" },
	{ 0x1748a56f, "sof_mailbox_write" },
	{ 0x5587834a, "_dev_err" },
	{ 0x37f09977, "debugfs_create_bool" },
	{ 0xcfca516, "snd_sof_dsp_update_bits_forced" },
	{ 0x49449956, "sof_pci_remove" },
	{ 0xd9243276, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x847483e5, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf5c09c02, "snd_sof_ipc_get_reply" },
	{ 0xec55f5b7, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xafaab6, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x7dc5392a, "snd_sof_ipc_reply" },
	{ 0x1b8b3b98, "hda_ipc4_tx_is_busy" },
	{ 0xce17d88e, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xa7791627, "hda_ops_free" },
	{ 0xea04b1e1, "sof_pci_shutdown" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x47e6511a, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6fe5e359, "hda_dsp_get_state" },
	{ 0xaf113e7, "hda_dsp_ipc4_load_library" },
	{ 0xdcd6a7c4, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x9f197c6a, "sof_pci_pm" },
	{ 0xd87cfc3d, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x6b546c25, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xf3df12c3, "hda_sdw_check_wakeen_irq_common" },
	{ 0x1fad33c3, "snd_soc_acpi_intel_arl_machines" },
	{ 0xbafd9d84, "hda_dsp_shutdown" },
	{ 0xe199e1b9, "hda_sdw_int_enable" },
	{ 0x5d414fde, "hda_sdw_startup" },
	{ 0xd827f1fa, "__pci_register_driver" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F46591CFE13A41038E04026");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
