#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pata_parport_register_driver, "_gpl", "");
KSYMTAB_FUNC(pata_parport_unregister_driver, "_gpl", "");

SYMBOL_CRC(pata_parport_register_driver, 0xd895525a, "_gpl");
SYMBOL_CRC(pata_parport_unregister_driver, 0xf4257a04, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf03424cf, "parport_unregister_driver" },
	{ 0x63fb556, "ata_host_detach" },
	{ 0x46363c8c, "parport_release" },
	{ 0x3ea4d088, "parport_unregister_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3f702d3a, "module_put" },
	{ 0xf86b202b, "device_match_name" },
	{ 0xb6138bd7, "bus_find_device" },
	{ 0x5efe7ccd, "put_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdb1a6e65, "parport_claim_or_block" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0xb9b0de46, "try_module_get" },
	{ 0x8a5ed6a8, "parport_register_dev_model" },
	{ 0x4dc47941, "ata_host_alloc_pinfo" },
	{ 0x4ba300ae, "ata_port_desc" },
	{ 0x3b4e76bf, "ata_host_activate" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0xcfcf0549, "driver_register" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x38eba615, "driver_find" },
	{ 0x950956af, "parport_find_number" },
	{ 0x39a94d71, "parport_put_port" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x733576d1, "ata_msleep" },
	{ 0x52d8bc02, "ata_sff_wait_ready" },
	{ 0xb40ffa4c, "ata_sff_dev_classify" },
	{ 0x8819a98d, "ata_scsi_queuecmd" },
	{ 0xfd1657b2, "ata_scsi_ioctl" },
	{ 0x42bd5fe5, "ata_scsi_slave_alloc" },
	{ 0x98c218f, "ata_scsi_device_configure" },
	{ 0x16e0907a, "ata_scsi_slave_destroy" },
	{ 0xaf9153b8, "ata_scsi_dma_need_drain" },
	{ 0x72d36b3f, "ata_std_bios_param" },
	{ 0x3408fb97, "ata_scsi_unlock_native_capacity" },
	{ 0xe6d15102, "ata_common_sdev_groups" },
	{ 0x472fcd8f, "ata_sff_port_ops" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6573f300, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x11d00965, "ata_sff_pause" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0x5859017a, "bus_for_each_dev" },
	{ 0xcb557b60, "bus_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x646060eb, "device_register" },
	{ 0xd7bec455, "bus_create_file" },
	{ 0x1c284d7a, "__parport_register_driver" },
	{ 0x8ce85085, "bus_remove_file" },
	{ 0xdc59528e, "device_unregister" },
	{ 0x495c8be6, "bus_unregister" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "parport,libata");


MODULE_INFO(srcversion, "CD19321CDDE76652E5FC76B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
