#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x7b1a20fc, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xb4100ee0, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x974ac456, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x46a9f9d8, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xed883b89, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xe7415ebc, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x2a0198f8, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xebf01ef6, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x012f8ff1, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xc2ad4f9f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x99f34e74, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x40045514, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xa737584c, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xba99a267, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x1a382704, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x9883e6ca, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x8d661288, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xa649756f, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x1d2915ad, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xe09b9fa4, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xfafa06c3, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xc7164e97, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x54c5239a, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x3e0707c6, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x8069591d, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x8108ec7e, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x94f343c8, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xf3535c88, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x7464dc88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bcfbad0, "regmap_raw_write" },
	{ 0x7c895697, "regmap_raw_read" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x777e1502, "regmap_read" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8ba18e71, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0x4459955, "regmap_raw_write_async" },
	{ 0xb26184ff, "regmap_update_bits_base" },
	{ 0x259c7f67, "regmap_write" },
	{ 0xc1d551df, "regmap_multi_reg_write" },
	{ 0xcb77dddc, "regmap_bulk_read" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xa1488437, "devm_kfree" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0xc3580a0f, "debugfs_remove" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb7ccbfb7, "seq_lseek" },
	{ 0x66afccf6, "seq_read" },
	{ 0x2408ea2a, "single_release" },
	{ 0x9c5e6a2b, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe615f5f9, "debugfs_create_dir" },
	{ 0x37f09977, "debugfs_create_bool" },
	{ 0x4e9ce88, "debugfs_create_x32" },
	{ 0xe3513c2c, "debugfs_create_file" },
	{ 0x10cfc04d, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5587834a, "_dev_err" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
