#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gnss_serial_allocate, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_free, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_register, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_deregister, "_gpl", "");
KSYMTAB_DATA(gnss_serial_pm_ops, "_gpl", "");

SYMBOL_CRC(gnss_serial_allocate, 0xb9ab9073, "_gpl");
SYMBOL_CRC(gnss_serial_free, 0x5dbc4d72, "_gpl");
SYMBOL_CRC(gnss_serial_register, 0xa28efda5, "_gpl");
SYMBOL_CRC(gnss_serial_deregister, 0x49d8a25c, "_gpl");
SYMBOL_CRC(gnss_serial_pm_ops, 0x5ff65525, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0e42204, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfbf83f7d, "serdev_device_write_wakeup" },
	{ 0x19efa0a1, "serdev_device_write" },
	{ 0x12ce1e77, "serdev_device_wait_until_sent" },
	{ 0xc6b69a13, "gnss_allocate_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab381638, "gnss_deregister_device" },
	{ 0x15461ea9, "__pm_runtime_resume" },
	{ 0x5e9725bc, "serdev_device_close" },
	{ 0xca458ee5, "gnss_register_device" },
	{ 0xaa55d576, "gnss_put_device" },
	{ 0x6c8d0465, "__pm_runtime_disable" },
	{ 0xc51b5c2, "__pm_runtime_idle" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x86ca79d1, "serdev_device_set_baudrate" },
	{ 0x1d761d0, "gnss_insert_raw" },
	{ 0xf74f0cc7, "serdev_device_set_flow_control" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5aec48e, "serdev_device_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "gnss");


MODULE_INFO(srcversion, "D007DBB3AFE25E0D1D8C472");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
