#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5587834a, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xac1a016a, "hid_open_report" },
	{ 0x6a37a1cb, "hid_hw_start" },
	{ 0xced8a6a7, "hid_hw_open" },
	{ 0xbfc97bdc, "up" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe90ede50, "devm_power_supply_register" },
	{ 0xc00ad461, "power_supply_powers" },
	{ 0x2e24f02c, "devm_input_allocate_device" },
	{ 0x39860ba5, "input_register_device" },
	{ 0xb86f051, "input_set_abs_params" },
	{ 0x9eddf93e, "input_set_capability" },
	{ 0xe9e84b7d, "devm_led_classdev_register_ext" },
	{ 0x6a3246af, "input_alloc_absinfo" },
	{ 0xbcbfcdb9, "input_ff_create_memless" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45317e8d, "__hid_register_driver" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc820bc76, "hid_hw_output_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xcb1c0219, "hid_field_extract" },
	{ 0xc167d1fc, "input_event" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6573f300, "ida_free" },
	{ 0x8811a3eb, "hid_hw_close" },
	{ 0x21eb3d1a, "hid_hw_stop" },
	{ 0x3d460dc4, "power_supply_get_drvdata" },
	{ 0x328f3444, "hid_unregister_driver" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "ff-memless");

MODULE_ALIAS("hid:b0003g*v0000057Ep00002009");
MODULE_ALIAS("hid:b0003g*v0000057Ep00002017");
MODULE_ALIAS("hid:b0003g*v0000057Ep0000201E");
MODULE_ALIAS("hid:b0003g*v0000057Ep00002019");
MODULE_ALIAS("hid:b0005g*v0000057Ep00002009");
MODULE_ALIAS("hid:b0003g*v0000057Ep0000200E");
MODULE_ALIAS("hid:b0005g*v0000057Ep00002006");
MODULE_ALIAS("hid:b0005g*v0000057Ep00002007");
MODULE_ALIAS("hid:b0005g*v0000057Ep00002017");
MODULE_ALIAS("hid:b0005g*v0000057Ep0000201E");
MODULE_ALIAS("hid:b0005g*v0000057Ep00002019");

MODULE_INFO(srcversion, "6C8B619D87C05361B3F60BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
