#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x8d7868f3, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xeef9aaf6, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x20b189a8, "");
SYMBOL_CRC(__rmi_register_function_handler, 0xada41397, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xe69a5e5f, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xc1d566b2, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xd8963e65, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0xf1200550, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xdf0fa354, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x2e6a2165, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x86c6f349, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xc0b23579, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xc8d1fcef, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x26de80ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfafc6a66, "vb2_ioctl_dqbuf" },
	{ 0x495c8be6, "bus_unregister" },
	{ 0xa1488437, "devm_kfree" },
	{ 0x5587834a, "_dev_err" },
	{ 0x41532b8e, "vb2_ioctl_create_bufs" },
	{ 0xccab068c, "device_add" },
	{ 0x13b2b2bb, "input_mt_init_slots" },
	{ 0x8e37b64b, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9eddf93e, "input_set_capability" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf2fa74b7, "vb2_buffer_done" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0xe2552b10, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xda9e2a65, "video_unregister_device" },
	{ 0xe9402a1c, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x391380cf, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8b11e6da, "vb2_fop_mmap" },
	{ 0x6694242d, "device_del" },
	{ 0x8f5dc698, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x82c4e3af, "vb2_vmalloc_memops" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x69476676, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc167d1fc, "input_event" },
	{ 0xdeda2bb2, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x1fcb3b7, "v4l2_device_register" },
	{ 0xb86f051, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0x5d7d5fb4, "sysfs_remove_group" },
	{ 0x9721d450, "serio_interrupt" },
	{ 0x6feab867, "irq_domain_instantiate" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9291474a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x258739a0, "vb2_ops_wait_prepare" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc1c8e395, "irq_create_mapping_affinity" },
	{ 0x9a76cf04, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a3246af, "input_alloc_absinfo" },
	{ 0xe964b0ef, "vb2_fop_poll" },
	{ 0x60abab39, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbc33f906, "param_ops_int" },
	{ 0x4c15a135, "_dev_printk" },
	{ 0x78672873, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcfcf0549, "driver_register" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xcb557b60, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xce20db33, "vb2_ioctl_reqbufs" },
	{ 0xe8205433, "vb2_queue_init" },
	{ 0xfee79331, "input_mt_assign_slots" },
	{ 0x885c0ab1, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x70ab3be1, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0x8551eb54, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0xb4e5cca6, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7f731c, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x393c3ec7, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x83bd8359, "vb2_ops_wait_finish" },
	{ 0xc7a03569, "request_firmware" },
	{ 0x4d163779, "input_mt_report_slot_state" },
	{ 0xb6f5cc26, "device_initialize" },
	{ 0x2e24f02c, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x805f6e2, "vb2_ioctl_querybuf" },
	{ 0x588970c2, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcfbd89e2, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x58ff3257, "dev_driver_string" },
	{ 0xcb756f98, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x39860ba5, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xadca5d51, "video_devdata" },
	{ 0xa628d42, "irq_set_chip_and_handler_name" },
	{ 0x5efe7ccd, "put_device" },
	{ 0xfc6c9f80, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xebe0890f, "handle_simple_irq" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "18756C82442DAD4909C18D8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
