#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x1534ce66, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x362be61f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fae16, "bio_chain" },
	{ 0xcab61d5e, "__blk_trace_note_message" },
	{ 0xdd5082e8, "blkdev_issue_zeroout" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x85bb10b3, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x87c2192c, "async_raid6_2data_recov" },
	{ 0x6d4b810a, "bio_add_page" },
	{ 0x2b0e09c3, "__SCK__tp_func_block_unplug" },
	{ 0xbfe40cea, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0704c55, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe9402a1c, "sysfs_create_group" },
	{ 0x727223f4, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x336603e2, "_atomic_dec_and_lock_irqsave" },
	{ 0xe5774239, "md_flush_request" },
	{ 0xf36ccdce, "bio_init" },
	{ 0x313c599e, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xc90ce30e, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf9a5038, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x427ad323, "md_account_bio" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29f9c170, "md_write_inc" },
	{ 0x58c5b683, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9a5ab14a, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8c2696a7, "md_bitmap_unplug" },
	{ 0xdfbce743, "bio_uninit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xfbfacec6, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x1aac058c, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0x91c1a9f2, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0xe76da34d, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9abcbc07, "md_check_recovery" },
	{ 0xa2182565, "md_bitmap_endwrite" },
	{ 0x9402c1b2, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x93b8f85f, "alloc_pages_noprof" },
	{ 0xdb785ee1, "blkdev_issue_flush" },
	{ 0x16967713, "mddev_suspend" },
	{ 0x1fb7529c, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc900e496, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7b6bb3e6, "queue_limits_set" },
	{ 0xae5fc0af, "rdev_set_badblocks" },
	{ 0x7df2ce9d, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x966e8170, "async_raid6_datap_recov" },
	{ 0x937e56a6, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x1a82ed64, "kmem_cache_destroy" },
	{ 0x3cd00c75, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xfae017e5, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x8852d9fe, "set_disk_ro" },
	{ 0xad2b6118, "register_md_personality" },
	{ 0x79027079, "shrinker_alloc" },
	{ 0xdc4b2f5b, "__bio_add_page" },
	{ 0xfc77abea, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb578c487, "md_bitmap_resize" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd44f34d0, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd54679d, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x12f443f0, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x94ba7b28, "md_bitmap_cond_end_sync" },
	{ 0x41cab9d0, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf22fef4d, "md_error" },
	{ 0x38d0eecd, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x7a15590f, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9ee95b3, "md_finish_reshape" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xfc3743ae, "async_gen_syndrome" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x85bedcdb, "md_unregister_thread" },
	{ 0x2f166e21, "sync_page_io" },
	{ 0xa4ac1b, "md_bitmap_close_sync" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x55ef7e0e, "md_free_cloned_bio" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x3041179b, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x57847b3d, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x6fd23c7a, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9816b50b, "shrinker_free" },
	{ 0xbedbb7f0, "md_wakeup_thread" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xfb32265d, "md_set_array_sectors" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa7c28f7d, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91a9b53c, "rdev_clear_badblocks" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0x397b5d84, "async_tx_quiesce" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x9ebdbeca, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xa62df05e, "shrinker_register" },
	{ 0xb502d786, "radix_tree_replace_slot" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x5f7b1fd8, "async_xor" },
	{ 0xb7c699, "__free_pages" },
	{ 0x8cc71cab, "async_xor_offs" },
	{ 0x8343a3d0, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x99077b4b, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x13ecbda7, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd36cdfb0, "kthread_unpark" },
	{ 0xaba84d64, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3505ff11, "md_done_sync" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x2cc09276, "bio_put" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x3f8456e5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xd6e361b8, "md_wait_for_blocked_rdev" },
	{ 0x942e176f, "__SCK__tp_func_block_bio_remap" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x96743aaa, "async_memcpy" },
	{ 0x4430cd69, "mddev_update_io_opt" },
	{ 0xccc6dde6, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbe6a7d39, "mddev_stack_rdev_limits" },
	{ 0x4fb52567, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x7b58d275, "mddev_unlock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x687c838a, "__tracepoint_block_unplug" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "8AE43289BEF2682A1759EB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
