#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31421139, "i2c_del_driver" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0x66d47460, "__dev_fwnode" },
	{ 0x8e6d23a0, "fwnode_graph_get_next_endpoint" },
	{ 0x312876dc, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9157f4b0, "v4l2_fwnode_endpoint_free" },
	{ 0xffb5a34, "devm_clk_get" },
	{ 0xd46e3ed0, "devm_regulator_bulk_get" },
	{ 0xa8122608, "devm_gpiod_get_optional" },
	{ 0x698dc869, "device_property_read_u32_array" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xae2a67d9, "__pm_runtime_set_status" },
	{ 0xa0e42204, "pm_runtime_enable" },
	{ 0x899f217f, "pm_runtime_set_autosuspend_delay" },
	{ 0xb61f3d18, "__pm_runtime_use_autosuspend" },
	{ 0x40a5bfc7, "v4l2_i2c_subdev_init" },
	{ 0x6701f5e0, "media_entity_pads_init" },
	{ 0x7e45e984, "v4l2_fwnode_device_parse" },
	{ 0xa968551b, "v4l2_ctrl_handler_init_class" },
	{ 0x96b1313b, "v4l2_ctrl_new_std" },
	{ 0x4ebceb10, "v4l2_ctrl_new_int_menu" },
	{ 0x4124c0b5, "v4l2_ctrl_new_std_menu_items" },
	{ 0x95f26c01, "v4l2_ctrl_cluster" },
	{ 0xd59eedef, "v4l2_ctrl_new_fwnode_properties" },
	{ 0x5c40ce94, "__v4l2_subdev_init_finalize" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf767c71b, "v4l2_i2c_subdev_set_name" },
	{ 0x1bf30c3, "__v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3934e97a, "__pm_runtime_suspend" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xc49e05cd, "dev_err_probe" },
	{ 0x410c17bf, "v4l2_ctrl_handler_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1991e0c, "v4l2_subdev_cleanup" },
	{ 0x6c8d0465, "__pm_runtime_disable" },
	{ 0x5a9f1abb, "regulator_bulk_disable" },
	{ 0xbed9e63e, "cci_write" },
	{ 0xdc665d6c, "pm_runtime_get_if_in_use" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0x77165bd0, "v4l2_async_unregister_subdev" },
	{ 0x15461ea9, "__pm_runtime_resume" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0xfa2f2b2f, "__v4l2_ctrl_handler_setup" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ac24fd4, "__v4l2_ctrl_grab" },
	{ 0xc51b5c2, "__pm_runtime_idle" },
	{ 0xa79e31fb, "v4l2_subdev_link_validate" },
	{ 0x4bb8230d, "v4l2_subdev_get_fmt" },
	{ 0x2ceec502, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0x60f6f7d, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb90c9002, "i2c_register_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x5587834a, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa08c32d5, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x80f42f78, "gpiod_set_value_cansleep" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc3a3542f, "__v4l2_subdev_state_get_format" },
	{ 0x9170c721, "__v4l2_ctrl_s_ctrl" },
	{ 0xe4dffc9b, "__v4l2_ctrl_modify_range" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "9C98F631AB83923202F47BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
