#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdacb69c, "mdio_i2c_alloc" },
	{ 0x8df75fc7, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15bab930, "__devm_add_action" },
	{ 0x37ae4ad7, "device_get_match_data" },
	{ 0x66d47460, "__dev_fwnode" },
	{ 0x28ff638, "fwnode_find_reference" },
	{ 0xfc5ed001, "i2c_get_adapter_by_fwnode" },
	{ 0xa8122608, "devm_gpiod_get_optional" },
	{ 0x698dc869, "device_property_read_u32_array" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xced5e6b1, "sfp_register_socket" },
	{ 0x9d662dcd, "gpiod_to_irq" },
	{ 0xe615f5f9, "debugfs_create_dir" },
	{ 0xe3513c2c, "debugfs_create_file" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0x70ab3be1, "devm_request_threaded_irq" },
	{ 0xc3580a0f, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0xb7ccbfb7, "seq_lseek" },
	{ 0x66afccf6, "seq_read" },
	{ 0x2408ea2a, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x72ed4c1b, "__platform_driver_register" },
	{ 0xe3b9c1b4, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x2c80d04e, "get_phy_device" },
	{ 0xcc77058d, "phy_device_register" },
	{ 0x2c0e20db, "sfp_add_phy" },
	{ 0x27b127f8, "phy_device_remove" },
	{ 0x21b4dfd1, "phy_device_free" },
	{ 0x5587834a, "_dev_err" },
	{ 0xecf5a658, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd0589842, "gpiod_direction_input" },
	{ 0x8b790e00, "gpiod_direction_output" },
	{ 0x876e3c5b, "mdiobus_unregister" },
	{ 0x996b5154, "mdiobus_free" },
	{ 0x418b7ced, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0x49912c32, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0xebd65b62, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x10cfc04d, "single_open" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0xba82aefa, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x27f7c9e7, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "8BDA4B0FA3036DD7D13A170");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
