#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x6ef0e43b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0xf9e05dae, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x1da4243b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xf83d7b99, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x69363250, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x7f433570, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x0ee6b585, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x9ff328ae, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xea9c3418, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x5f5acf09, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xbbd37b74, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xdfd4c435, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0xc265745f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0xf11b94b4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xb36d1160, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x3d6c8ea8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x0042bd3b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xbaedf69d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x8eec0038, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x2f981017, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x2bf42144, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0xf882cc81, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x13479131, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xaf15699b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0xb82e84af, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0xb4fa25c9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x8420bb11, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x2b6810eb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x410317be, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x4f7a75da, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xb5a19016, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x33900db1, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xabbb3c86, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x5b9842bd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x74dde8ff, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x0fceca24, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x6bb83c59, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0xaea062d0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xcb09b1b4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xfd22d015, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x4a8036c9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xb943e9f0, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x9ce96185, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0xa5574eaf, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x3f95901d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xdbad6bf9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x586d2243, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x59de780f, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xfc9814ce, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x19fd0a1f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x50794153, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0xa440f12f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xfd1a00ae, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x4c85da29, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x91748ec7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xd2ed0051, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x488abe7e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x232d94ff, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x6ca1bc2a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x41bd18e9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x128b0bbe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0xac189e9c, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xd8b09f3e, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xec4af683, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x2d58a70c, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x706df57a, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0xa5271747, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x975997c0, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xe92d723b, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xec16b907, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0xcbe07e1d, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x7e3bec19, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x95fc46ea, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x33206138, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x4fa170dd, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x556335d2, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xac23feab, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x9eac6208, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x391845a8, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0xf9f0e414, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xb9f47550, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x88b3c9ea, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0xf53a64d5, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x08c3b2ff, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x7ef9f9a7, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0x0934481a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xd3a719bf, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x480615a6, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc338869f, "mt76_tx_status_skb_get" },
	{ 0x5b2b6f56, "mt76_tx_status_lock" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1c245098, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc7a03569, "request_firmware" },
	{ 0x4868badc, "mt76_get_rate" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x7f9efcb0, "__mt76_tx_complete_skb" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x7b59d3ac, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe0695327, "wake_up_process" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xd898b28f, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xfb7e12ee, "mt76_tx" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x6bb7815f, "mt76_init_queue" },
	{ 0x7aa1efe7, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa1488437, "devm_kfree" },
	{ 0x5587834a, "_dev_err" },
	{ 0x57d129e2, "skb_pull" },
	{ 0xa1dfbc7e, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8e6921c0, "skb_push" },
	{ 0xbf9c5f1c, "ieee80211_wake_queues" },
	{ 0x96fce86, "mt76_mcu_send_and_get_msg" },
	{ 0x5c07b918, "ieee80211_iter_keys_rcu" },
	{ 0x5399854a, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaf5b7e83, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b2abf31, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d152797, "mt76_get_rate_power_limits" },
	{ 0x331ac538, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca587560, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3bfd213b, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xe20a49a2, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa8c8ecdf, "mt76_tx_status_unlock" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "DA2461748C406A942A88485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
