#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x5ebb145c, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x5f45677d, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x2a487f78, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xa30385da, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x9a44d36c, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x1872b126, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x5e59c208, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xd05094cf, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x336971a8, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x0049f782, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xa91b0b2f, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xd771fac2, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xf6ad8d52, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xedcd398a, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x3464dd6a, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x34ab2d47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3d874bad, "rt2x00queue_get_entry" },
	{ 0xf9dfcd6e, "rt2800_process_rxwi" },
	{ 0x2dd9fa96, "rt2x00lib_beacondone" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x89e3857d, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x436af497, "rt2800_get_txwi_rxwi_size" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0xbb4f8e8d, "rt2800_disable_wpdma" },
	{ 0x999ec09, "rt2800_wait_wpdma_ready" },
	{ 0x9c96e265, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xef8a4d16, "rt2800_txdone" },
	{ 0x4c7d4205, "rt2800_txdone_nostatus" },
	{ 0x18cc3e5b, "rt2800_txstatus_timeout" },
	{ 0xd4e70314, "rt2800_txstatus_pending" },
	{ 0x49465d1a, "rt2800_probe_hw" },
	{ 0x7f9186cb, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb4d51dc5, "rt2x00mmio_rxdone" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
