#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x71a7c7bb, "");
SYMBOL_CRC(ndlc_close, 0x60f5b49b, "");
SYMBOL_CRC(ndlc_send, 0x2484300f, "");
SYMBOL_CRC(ndlc_recv, 0x5fd5597c, "");
SYMBOL_CRC(ndlc_probe, 0x5884133e, "");
SYMBOL_CRC(ndlc_remove, 0xde4ae129, "");
SYMBOL_CRC(st_nci_probe, 0xa3aa005c, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x591ecdab, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x9da3de7e, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xbfa08622, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xe85637cb, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x771a4657, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x10efb00e, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xae1fb440, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x45d67fdd, "");
SYMBOL_CRC(st_nci_se_init, 0x107934ab, "");
SYMBOL_CRC(st_nci_se_deinit, 0x50b5332e, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xbbe112c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeba8b77, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbb41412a, "nfc_se_transaction" },
	{ 0x5587834a, "_dev_err" },
	{ 0x57d129e2, "skb_pull" },
	{ 0xf10affe4, "nci_hci_connect_gate" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8e6921c0, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x2dbc73d4, "nci_prop_cmd" },
	{ 0x77bca8e9, "nci_core_conn_create" },
	{ 0x9459df2e, "nci_nfcc_loopback" },
	{ 0xce0fe9ca, "nci_unregister_device" },
	{ 0x88008cbc, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b9750b5, "nci_hci_send_event" },
	{ 0x1d36fe51, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf691c45e, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd98bdf23, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x118ee9b9, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9b066ca5, "nci_recv_frame" },
	{ 0x529eba6d, "nci_hci_dev_session_init" },
	{ 0x9b2d7a68, "nci_hci_set_param" },
	{ 0xb594dd3, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa6804022, "skb_queue_head" },
	{ 0xf670ce6b, "nci_free_device" },
	{ 0xb91b8e2, "nci_allocate_device" },
	{ 0xb87e3288, "nci_register_device" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0x2adf8425, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x739effe1, "nfc_add_se" },
	{ 0xabf1f3d2, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf2790816, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x852f523c, "skb_queue_purge_reason" },
	{ 0xfe64eeba, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9aa9f208, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
