#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x1fb9f39b, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc0b8795d, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xfcf9d9ee, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x7086afb5, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x6770356d, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xcc9992d5, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x2e127602, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x7ccd50d5, "");
SYMBOL_CRC(nvdimm_region_notify, 0x60fff017, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xd7a04fe6, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xf5e62455, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xde5cacee, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xabf3fd99, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xe5b7bbb4, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x87b55919, "");
SYMBOL_CRC(nd_device_unregister, 0x93fde636, "");
SYMBOL_CRC(__nd_driver_register, 0x69cda009, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x39ded5ad, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xdf688164, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x97ba6017, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x715d8d5c, "_gpl");
SYMBOL_CRC(to_ndd, 0x9a0e21ff, "");
SYMBOL_CRC(nvdimm_name, 0x3da95d9d, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x1fcc019a, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xbed3745e, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xe0af8cc8, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xb08142ed, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x756b8c90, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x34a8577e, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x7116f8bd, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x0b6157e6, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x73f1d3e4, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x92511831, "_gpl");
SYMBOL_CRC(to_nd_region, 0x8f8a07cf, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x9d3dfb72, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x6a2f7a22, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x5ae81092, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xd4a5ce97, "");
SYMBOL_CRC(nd_region_release_lane, 0x3124cc0a, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x237f1dd8, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x96a2eb3e, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x36306521, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x0cbce6dc, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x3306218c, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x8b8acbd8, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x61890123, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x9c7237fb, "");
SYMBOL_CRC(pmem_sector_size, 0x66364849, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xefea8eeb, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x048aab12, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xf326190e, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xfda4b7f3, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x6af4906e, "");
SYMBOL_CRC(devm_namespace_enable, 0x32f76d46, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x52213001, "_gpl");
SYMBOL_CRC(badrange_init, 0xaa129336, "_gpl");
SYMBOL_CRC(badrange_add, 0x6b246c2c, "_gpl");
SYMBOL_CRC(badrange_forget, 0x9035460d, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x7346a1d4, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xb9d6d446, "");
SYMBOL_CRC(is_nd_btt, 0x20852885, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x49fb2657, "");
SYMBOL_CRC(nd_btt_version, 0xfe3c19e8, "");
SYMBOL_CRC(nd_btt_probe, 0xd315207e, "");
SYMBOL_CRC(to_nd_pfn, 0x2f7a7476, "");
SYMBOL_CRC(is_nd_pfn, 0x2a5f716b, "");
SYMBOL_CRC(nd_pfn_validate, 0x9d9165d3, "");
SYMBOL_CRC(nd_pfn_probe, 0xa16472c7, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x590ea98c, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xc71b7147, "");
SYMBOL_CRC(is_nd_dax, 0x2442e671, "");
SYMBOL_CRC(nd_dax_probe, 0xe4de16c2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xe2ac1204, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x18cc517e, "__devm_release_region" },
	{ 0x1713df44, "request_key_tag" },
	{ 0x26b3103e, "kernfs_put" },
	{ 0x22dcbb6, "__register_chrdev" },
	{ 0xf43af8fc, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xc900e496, "badblocks_check" },
	{ 0x15bab930, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x44555c5c, "badblocks_clear" },
	{ 0x43bd839, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbb53856b, "up_read" },
	{ 0xcfcf0549, "driver_register" },
	{ 0xdd6ef3e4, "class_register" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xcb557b60, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8852d9fe, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xb9b0de46, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x35fcab50, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x141ebe3d, "devm_memremap" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6422f55c, "badblocks_set" },
	{ 0xdc59528e, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xb6f5cc26, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x6272d8b0, "badblocks_exit" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xf9b3c347, "device_for_each_child" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x47a71f38, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6fd23c7a, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58ff3257, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbef63fd6, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5efe7ccd, "put_device" },
	{ 0x432c9bd5, "badblocks_show" },
	{ 0xd5ac2162, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x3f702d3a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x24b95595, "compat_ptr_ioctl" },
	{ 0xd5b46c0, "perf_pmu_migrate_context" },
	{ 0xd917126e, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe4057f2f, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x495c8be6, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x5587834a, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x61fcb868, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xccab068c, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x61727bae, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc0709bc6, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6573f300, "ida_free" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x37d2ac79, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7e663f97, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb90d3b23, "device_find_child" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE8153DBD45B285CCD14A2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
