#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x4217bfa4, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x2dace6ff, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x6b2e26b4, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x62c204fb, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x842f4a5c, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xc72c73a3, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x6b3e8695, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x8fe230ca, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x09d61acb, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xdbf1859e, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x72a00b0c, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xa5a3d842, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5efe7ccd, "put_device" },
	{ 0xdc59528e, "device_unregister" },
	{ 0xcfcf0549, "driver_register" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0x5859017a, "bus_for_each_dev" },
	{ 0xeddd417, "down_read" },
	{ 0xbb53856b, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x9298d45f, "genl_unregister_family" },
	{ 0x495c8be6, "bus_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xcb557b60, "bus_register" },
	{ 0x1d480014, "genl_register_family" },
	{ 0x4802d6e5, "dma_set_mask" },
	{ 0xc329a249, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x2fcd57ff, "dev_set_name" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xb6f5cc26, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc00ed568, "netlink_capable" },
	{ 0x4e7b0209, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x48ca5341, "skb_trim" },
	{ 0xe4dc9205, "__alloc_skb" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0xd44ebfdd, "netlink_unicast" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x6573f300, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69705d38, "driver_set_override" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb6138bd7, "bus_find_device" },
	{ 0xccab068c, "device_add" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "37B2F6FA9EA4B98702C7E84");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
