#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5e6b7cb, "dquot_initialize" },
	{ 0xf11538ec, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x7ca0d4e7, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x988dc85a, "block_commit_write" },
	{ 0x9b79a3c7, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x42b048f7, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2f5172d1, "inode_init_once" },
	{ 0x73164d00, "file_write_and_wait_range" },
	{ 0xc4511ac5, "qtree_write_dquot" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x88433e4a, "mark_page_accessed" },
	{ 0xcc7c46cb, "debugfs_attr_read" },
	{ 0x2ef36661, "seq_escape_mem" },
	{ 0xfeb519cf, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0xf5e50ec5, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1618a304, "__brelse" },
	{ 0xe4d956bc, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7c9a514c, "perf_trace_run_bpf_submit" },
	{ 0x94b0f501, "jbd2_journal_init_inode" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xef9eb971, "jbd2_journal_abort" },
	{ 0x582de4e6, "generic_file_read_iter" },
	{ 0x7e6cee83, "inode_maybe_inc_iversion" },
	{ 0xbeba0b35, "unlock_page" },
	{ 0x4973061d, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x59e11f22, "qtree_release_dquot" },
	{ 0x7f3bfc38, "set_cached_acl" },
	{ 0xb887a8a8, "simple_attr_release" },
	{ 0x9a005b3a, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x9e256e3d, "dquot_resume" },
	{ 0x4a6bf274, "bpf_trace_run5" },
	{ 0x379fd1d3, "setattr_copy" },
	{ 0x4e7ed500, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0xe8ad0a33, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5db4943c, "set_nlink" },
	{ 0xa0fffbf7, "kmem_cache_alloc_lru_noprof" },
	{ 0x4fb52567, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc3580a0f, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xb298bae7, "security_inode_init_security" },
	{ 0x6e140498, "d_move" },
	{ 0xdcf4252f, "seq_putc" },
	{ 0x4b4879b2, "from_kgid" },
	{ 0x5e68d865, "qtree_read_dquot" },
	{ 0x5f8a663e, "__bh_read" },
	{ 0x2bb353be, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6d0c92a6, "jbd2_journal_start_commit" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xdd5082e8, "blkdev_issue_zeroout" },
	{ 0x15760ef4, "mpage_writepages" },
	{ 0x1ad5b3c7, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x1157beae, "ocfs2_plock" },
	{ 0x6d4487ec, "kobject_init_and_add" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x45aba30b, "write_inode_now" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x1d680aa2, "jbd2_trans_will_send_data_barrier" },
	{ 0x31358bb2, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69a01b56, "__audit_inode_child" },
	{ 0x27f43b82, "d_obtain_alias" },
	{ 0x727223f4, "__put_devmap_managed_folio_refs" },
	{ 0xdb07894e, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd41fd88b, "__seq_open_private" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaef85a95, "ocfs2_kset" },
	{ 0x8746008, "block_dirty_folio" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x66310c6c, "dquot_alloc_inode" },
	{ 0xd695f5f5, "bpf_trace_run1" },
	{ 0x30d2d4c4, "bpf_trace_run9" },
	{ 0x4e6a53db, "jbd2_journal_dirty_metadata" },
	{ 0x35da173f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x83d447be, "generic_remap_file_range_prep" },
	{ 0x666647fa, "__insert_inode_hash" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb67d76c1, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3843828c, "debugfs_create_u32" },
	{ 0xcf9a5038, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x9246bbdc, "register_quota_format" },
	{ 0xcd82b988, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x1a84a43e, "jbd2_journal_wipe" },
	{ 0x2d40ef83, "d_delete" },
	{ 0xf5c4bd15, "jbd2_journal_start" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xac68eb76, "unregister_quota_format" },
	{ 0xd3656211, "kthread_create_on_node" },
	{ 0x486ae55c, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xede5f81c, "bpf_trace_run3" },
	{ 0x66afccf6, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3b30a9a1, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7af41164, "__dquot_alloc_space" },
	{ 0x5284677c, "unlock_buffer" },
	{ 0xe3513c2c, "debugfs_create_file" },
	{ 0x143a6826, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6e78d247, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaab35ea2, "kobject_del" },
	{ 0xfa569d58, "trace_event_buffer_reserve" },
	{ 0xd059e55e, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0x765d67c1, "mount_bdev" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf3681a71, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8fdbe483, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6cf2b09a, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x73523fc4, "init_user_ns" },
	{ 0x963cc71d, "inode_set_ctime_current" },
	{ 0xf981b038, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x91c1a9f2, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5ef27ed7, "seq_printf" },
	{ 0x7f304335, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3bc1f36e, "__percpu_down_read" },
	{ 0x8c8ad15f, "jbd2_journal_force_commit" },
	{ 0x2e7cf5ab, "__lock_buffer" },
	{ 0x51154bec, "jbd2_journal_get_undo_access" },
	{ 0x2aaef302, "qtree_get_next_id" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xd26f3ba, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x534fd187, "posix_acl_update_mode" },
	{ 0x9c05df06, "truncate_inode_pages_range" },
	{ 0x1a1c6828, "__folio_lock" },
	{ 0x7639e880, "pagecache_get_page" },
	{ 0xdb785ee1, "blkdev_issue_flush" },
	{ 0x7c196e69, "is_bad_inode" },
	{ 0xd825f14d, "rcuwait_wake_up" },
	{ 0x15388f34, "block_is_partially_uptodate" },
	{ 0xd985bae, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb185d94, "filemap_splice_read" },
	{ 0x52c28f6f, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8406906a, "seq_release_private" },
	{ 0xce346412, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xa7124916, "iget5_locked" },
	{ 0xbf2fcd32, "__generic_file_write_iter" },
	{ 0x42c5c55d, "jbd2_journal_lock_updates" },
	{ 0x810c0091, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xacb24ae1, "bpf_trace_run7" },
	{ 0x569e392f, "clean_bdev_aliases" },
	{ 0x6a44fbf4, "jbd2_journal_errno" },
	{ 0x90360ab1, "generic_write_checks" },
	{ 0x574b8122, "dqget" },
	{ 0x43203714, "inode_permission" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x556be136, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0xcb244a82, "dquot_quotactl_sysfile_ops" },
	{ 0xf6544a2, "filemap_fault" },
	{ 0xe615f5f9, "debugfs_create_dir" },
	{ 0xcc6ab6fd, "__mark_inode_dirty" },
	{ 0x63772d6d, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe83aed28, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x400e25b7, "jbd2_journal_begin_ordered_truncate" },
	{ 0xbb53856b, "up_read" },
	{ 0x501baf62, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc7043d85, "put_pid" },
	{ 0x7984fd34, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe6cc4ec6, "jbd2_journal_flush" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xf24a5879, "kobject_get" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x1a82ed64, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x61312be2, "kset_create_and_add" },
	{ 0xfae017e5, "blkdev_issue_discard" },
	{ 0xc48a88c2, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc897c772, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x6ecb892, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xf6875fe0, "inode_init_owner" },
	{ 0xefe08959, "filemap_fdatawrite" },
	{ 0x40d217ee, "generic_fillattr" },
	{ 0xe59e5727, "setattr_prepare" },
	{ 0x12c470c, "clear_nlink" },
	{ 0xfb347aea, "jbd2_complete_transaction" },
	{ 0xd86f7a1a, "__dquot_transfer" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x106b695f, "d_instantiate" },
	{ 0x7b039f99, "simple_attr_open" },
	{ 0xae69aebe, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5c623dfd, "clear_inode" },
	{ 0xe668bd2a, "bpf_trace_run4" },
	{ 0x28670f8, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xed893cf1, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25aed478, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8586d08e, "dquot_free_inode" },
	{ 0x4c341a15, "folio_unlock" },
	{ 0x36fba565, "jbd2_journal_grab_journal_head" },
	{ 0xda8e4e5, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa8dbc086, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xedc27df9, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83bba38d, "jbd2_journal_stop" },
	{ 0xb0d1eb3c, "trace_raw_output_prep" },
	{ 0x65472306, "forget_all_cached_acls" },
	{ 0x26f2dbe2, "init_special_inode" },
	{ 0x657a3d3e, "unregister_filesystem" },
	{ 0x5d4fdbb0, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xec64e67c, "bpf_trace_run6" },
	{ 0x44905025, "jbd2_journal_restart" },
	{ 0x3c0a3a31, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb9ac4574, "generic_error_remove_folio" },
	{ 0x562d31ee, "__find_get_block" },
	{ 0xead70b6e, "__trace_trigger_soft_disabled" },
	{ 0x4263d463, "filemap_fdatawrite_range" },
	{ 0xdbebadb6, "jbd2_journal_set_triggers" },
	{ 0xccdd8936, "__block_write_begin" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x25db0188, "inode_query_iversion" },
	{ 0x21d15836, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x16857a5c, "nop_posix_acl_access" },
	{ 0x18b375e5, "jbd2_journal_load" },
	{ 0xe91c780c, "nop_posix_acl_default" },
	{ 0x8be1567e, "d_make_root" },
	{ 0x28810dbc, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4fff1dee, "jbd2_journal_set_features" },
	{ 0x63a8d050, "sb_set_blocksize" },
	{ 0xd0e70987, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x4c502fdf, "end_buffer_read_sync" },
	{ 0xb2c66770, "fsnotify" },
	{ 0x57ad6fbd, "d_splice_alias" },
	{ 0x34767a, "jbd2_journal_unlock_updates" },
	{ 0x54b8e4c6, "current_time" },
	{ 0x9904c57b, "trace_event_raw_init" },
	{ 0x270bad1, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf73661a0, "unmap_mapping_range" },
	{ 0x84db3922, "ihold" },
	{ 0xde21864e, "page_get_link" },
	{ 0xe01c2a3f, "inode_dio_wait" },
	{ 0x372dd97a, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x8da9ee3c, "iput" },
	{ 0xa8dae0d8, "kset_unregister" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xb7ccbfb7, "seq_lseek" },
	{ 0xb50513f2, "wrap_directory_iterator" },
	{ 0x86ed4160, "jbd2_journal_clear_features" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x13da2b77, "iter_file_splice_write" },
	{ 0xe14424da, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x319b5f31, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x1f54ccee, "register_filesystem" },
	{ 0x5644e444, "dq_data_lock" },
	{ 0x3041179b, "kmem_cache_create" },
	{ 0x5e45b665, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb64c09a1, "dquot_drop" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x277e7211, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xa6cd42b3, "submit_bh" },
	{ 0xa482da4, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f01d9c7, "shrink_dcache_parent" },
	{ 0xc5d0670f, "user_path_at" },
	{ 0x8f90d2ce, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0xe0695327, "wake_up_process" },
	{ 0xbe6df283, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e70e1ef, "dquot_scan_active" },
	{ 0xbc80a9cb, "qtree_entry_unused" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x53b519e, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x686096c7, "inode_newsize_ok" },
	{ 0x51fe24d7, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x5b943d2a, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x4cd69897, "mnt_want_write_file" },
	{ 0x33456a87, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x708e4320, "block_invalidate_folio" },
	{ 0xf76dc190, "make_kprojid" },
	{ 0xa727e4d, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa7b08151, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4d097c09, "make_kuid" },
	{ 0x15ab8e07, "try_to_free_buffers" },
	{ 0x8e2503fc, "create_empty_buffers" },
	{ 0x9502802f, "truncate_inode_pages_final" },
	{ 0x1afdbc2d, "sync_blockdev" },
	{ 0x487883e0, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x8ce3aeea, "sync_mapping_buffers" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,ocfs2_nodemanager,quota_tree,jbd2");


MODULE_INFO(srcversion, "2F857EC0D86176538368FF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
