#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe0638acd, "ns_capable" },
	{ 0xdf27b89c, "iptunnel_handle_offloads" },
	{ 0x7ac8d018, "ip_tunnel_xmit" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xdb54aefb, "init_net" },
	{ 0x37b6b890, "alloc_netdev_mqs" },
	{ 0xa27461c9, "register_netdev" },
	{ 0x7b31f393, "free_netdev" },
	{ 0x3a63f7a1, "dev_addr_mod" },
	{ 0x206aeba6, "register_netdevice" },
	{ 0x4e3a2161, "__iptunnel_pull_header" },
	{ 0x71573e51, "ip_tunnel_rcv" },
	{ 0xf21703b1, "__xfrm_policy_check" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4a194fa8, "ipv6_chk_custom_prefix" },
	{ 0x72414c09, "skb_copy_bits" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d05defc, "netif_rx" },
	{ 0xf247ae12, "ipv6_chk_prefix" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9be1435f, "dst_cache_get_ip4" },
	{ 0x27245be6, "skb_realloc_headroom" },
	{ 0xfbffcd6b, "skb_set_owner_w" },
	{ 0x480615a6, "consume_skb" },
	{ 0x79729b98, "iptun_encaps" },
	{ 0x1c2da290, "iptunnel_xmit" },
	{ 0xafa6838b, "__pskb_pull_tail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9b34ae94, "ip6_mtu" },
	{ 0xb4fde9ad, "icmpv6_ndo_send" },
	{ 0x2435a038, "dst_cache_set_ip4" },
	{ 0x6a6c1a40, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x55c1312e, "ipv4_mtu" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x62fb4b8c, "ip_tunnel_encap_setup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x72b06230, "ip_tunnel_siocdevprivate" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x7f835b87, "ip_tunnel_parm_from_user" },
	{ 0xb846d436, "ip_tunnel_get_iflink" },
	{ 0xf367b05c, "ip_tunnel_get_link_net" },
	{ 0x83604365, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1dfcb42, "ip_tunnel_header_ops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x7641194b, "register_pernet_device" },
	{ 0x74e4f4ab, "xfrm4_tunnel_register" },
	{ 0xe27cc395, "rtnl_link_register" },
	{ 0x65e5d124, "xfrm4_tunnel_deregister" },
	{ 0xff58f8f5, "unregister_pernet_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3773f2c8, "unregister_netdevice_queue" },
	{ 0x9fe62620, "ip_tunnel_netlink_parms" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1764d1, "netdev_state_change" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe4329ee7, "ip6_err_gen_icmpv6_unreach" },
	{ 0x5bcebc2f, "ipv4_update_pmtu" },
	{ 0xb850d763, "ipv4_redirect" },
	{ 0x2bb57bc1, "rtnl_link_unregister" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x4d097c09, "make_kuid" },
	{ 0x8d9617ba, "ip_route_output_flow" },
	{ 0xc092aa1d, "dst_release" },
	{ 0xe815861a, "__dev_get_by_index" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,tunnel4");


MODULE_INFO(srcversion, "4BE376813773624B29EEEFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
