#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8fec1d, "skb_flow_dissect_tunnel_info" },
	{ 0x692958cd, "skb_flow_dissect_ct" },
	{ 0xe434ebf9, "skb_flow_dissect_hash" },
	{ 0x922d4d3f, "__skb_flow_dissect" },
	{ 0xf84e72a6, "skb_flow_dissect_meta" },
	{ 0x33ce7596, "tcf_action_exec" },
	{ 0xefaf2e4f, "tcf_queue_work" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa958d15a, "tc_setup_cb_reoffload" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4b912c72, "idr_get_next_ul" },
	{ 0x2e828fbb, "tcf_exts_terse_dump" },
	{ 0x48ca5341, "skb_trim" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x58c5b683, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x1ae29d7d, "__module_get" },
	{ 0x6d72cd87, "tcf_exts_init_ex" },
	{ 0x8effd1a4, "tcf_exts_validate_ex" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe815861a, "__dev_get_by_index" },
	{ 0xa916b694, "strnlen" },
	{ 0x44648497, "tcf_exts_dump" },
	{ 0xb1de31df, "tcf_exts_dump_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x803b9f38, "register_tcf_proto_ops" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xd3ac4dbe, "flow_rule_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x82f9219d, "skb_flow_dissector_init" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x3f702d3a, "module_put" },
	{ 0x367c951d, "unregister_tcf_proto_ops" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x92440b13, "tcf_exts_destroy" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x27b8cb52, "__put_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcaf2400a, "tc_setup_cb_call" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb578fc5, "memset" },
	{ 0x2f2f193e, "tc_setup_cb_destroy" },
	{ 0xab843fbd, "tcf_exts_num_actions" },
	{ 0x431f3daf, "tc_setup_offload_action" },
	{ 0xe94264cc, "tc_setup_cb_add" },
	{ 0x51ca2ed3, "tc_cleanup_offload_action" },
	{ 0x5dfe2b7, "tcf_action_update_hw_stats" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x209112ef, "__dev_get_by_name" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B947458BA555BB165AE86B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
