#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0xf927ed8b, "_gpl");
SYMBOL_CRC(smc_proto6, 0x8f6707d7, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xa85e4503, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xafdba5e6, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x7045b70e, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x8a47b8e7, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xe1a1fc97, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x82066714, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x08e6a506, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x5bc596ef, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x00a77af5, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xde6fa219, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xd39413af, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xd62e7dea, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f0c59f5, "sk_error_report" },
	{ 0xb68a790f, "register_pernet_subsys" },
	{ 0x58ff3257, "dev_driver_string" },
	{ 0xbe6df283, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xf4b4714e, "register_net_sysctl_sz" },
	{ 0x83d8adb1, "tcp_abort" },
	{ 0x8ce9ccd4, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b642f17, "dma_map_page_attrs" },
	{ 0x9dbbb411, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x344cc457, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6f1a2ba3, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x5efe7ccd, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x8ff83ee9, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xe4dc9205, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x90bb0778, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb7c699, "__free_pages" },
	{ 0xcc74d082, "ib_unregister_event_handler" },
	{ 0xc0b0ea82, "proto_register" },
	{ 0xedbfaa25, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x94edf2b3, "__wake_up_sync_key" },
	{ 0x7fdd3116, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1de3aa95, "ib_map_mr_sg" },
	{ 0xe7510e59, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfc7a4a47, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7c9a514c, "perf_trace_run_bpf_submit" },
	{ 0x2368870, "ib_set_client_data" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xdb54aefb, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24c38867, "sk_skb_reason_drop" },
	{ 0xd44ebfdd, "netlink_unicast" },
	{ 0x16b04165, "__SCK__tp_func_sk_data_ready" },
	{ 0x946d4065, "rdma_put_gid_attr" },
	{ 0x315e7f48, "kernel_getsockname" },
	{ 0x8ac77846, "sk_free" },
	{ 0xa1248598, "sock_wake_async" },
	{ 0x7bc2535, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc69c3483, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2bb353be, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc9ee7242, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6edce96f, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d20fc4b, "lock_sock_nested" },
	{ 0x727223f4, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66a71d92, "__ib_create_cq" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b7ee853, "sk_alloc" },
	{ 0x4d29e19a, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3f9398b1, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x94a92ffa, "kernel_connect" },
	{ 0x6442a225, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf7b2498a, "sk_wait_data" },
	{ 0xed5c6d1e, "proc_douintvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x49208bee, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb1ad84c7, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb4f143a4, "ib_destroy_cq_user" },
	{ 0xeddd417, "down_read" },
	{ 0x48ca5341, "skb_trim" },
	{ 0x6f634c84, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f333f59, "tcp_register_ulp" },
	{ 0xe71a770d, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9427352e, "kernel_listen" },
	{ 0xa5afb52a, "ib_dma_virt_map_sg" },
	{ 0x6a6c1a40, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfa569d58, "trace_event_buffer_reserve" },
	{ 0x149715c, "inet6_register_protosw" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x43d31a22, "sock_create_kern" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe7654c98, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x91c1a9f2, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x810b2f7a, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x27e819c1, "dev_get_by_name" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc092aa1d, "dst_release" },
	{ 0x7bf2ecf9, "sk_stream_wait_connect" },
	{ 0xd79f22a7, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x252fe4b5, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x93b8f85f, "alloc_pages_noprof" },
	{ 0xdb3fabbf, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x14203147, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x25e92fe3, "vlan_dev_vlan_id" },
	{ 0x5a16710f, "unregister_net_sysctl_table" },
	{ 0x529f533f, "ib_dealloc_pd_user" },
	{ 0x345a48cd, "rdma_get_gid_attr" },
	{ 0x9287c09b, "dma_unmap_sg_attrs" },
	{ 0x9298d45f, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x175d54a9, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x1d480014, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x87ca60c8, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcd948c4c, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0x5f89b251, "release_sock" },
	{ 0x810201f2, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2603e52b, "netdev_lower_get_next" },
	{ 0x9169de79, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x17861cc7, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x90bdad88, "ib_unregister_client" },
	{ 0x1004b36b, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb5271ac8, "__nlmsg_put" },
	{ 0x2f120cac, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd3d97927, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa801d54e, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xb0d1eb3c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xbcafa80e, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa1e2c3d2, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xaec0d8f, "inet6_unregister_protosw" },
	{ 0xead70b6e, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1c245098, "dma_unmap_page_attrs" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x28810dbc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdee6d253, "__dma_need_sync" },
	{ 0x8284a0da, "kernel_bind" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4e7b0209, "genlmsg_put" },
	{ 0x9904c57b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a4aa7c8, "inet_register_protosw" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x6cc43872, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb2b18d11, "ib_dereg_mr_user" },
	{ 0x72652bc4, "__tracepoint_sk_data_ready" },
	{ 0xe14424da, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x3c3e3062, "kernel_accept" },
	{ 0x709a4b4, "rdma_dev_access_netns" },
	{ 0x1ae29d7d, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x8d9617ba, "ip_route_output_flow" },
	{ 0x47a71f38, "get_device" },
	{ 0x566c26b, "sk_stream_error" },
	{ 0x31bb0908, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5f51b633, "sock_alloc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5C171B6ECD898232BB106C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
