#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_host_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xb60ff43b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x5b3a2a1c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x1349bdad, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xb10fdcf2, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xb3e5f2c6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x59632f99, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x34f068eb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x5e4be29b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xd15a6a02, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0xeb05ef52, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0xf4a04ef7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x3267afdb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0xef0d5707, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xc70060d3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x86564d1b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x313ed79c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x4ba01582, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x3273db37, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x2005103c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x485cd01b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_host_stream_setup, 0x57c4a4ea, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xa3d59610, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x1faa863d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x5fb0311a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xcb938f45, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xdb10db3b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x1f1111f8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x405158ea, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x0e72de89, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x4346166d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xf2760110, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xc124dee8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x589467bd, "snd_hdac_bus_exit" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5efe7ccd, "put_device" },
	{ 0x67930295, "snd_hdac_bus_init" },
	{ 0xc61cb528, "snd_hdac_stream_init" },
	{ 0x5587834a, "_dev_err" },
	{ 0x12d9c498, "snd_hdac_device_unregister" },
	{ 0xd6673c94, "snd_hdac_stream_assign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf77a6cd9, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x174ea7eb, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65c9d527, "snd_hdac_bus_init_cmd_io" },
	{ 0x72d3aceb, "snd_hda_bus_type" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xef31b900, "snd_hdac_stream_setup" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0xcfcf0549, "driver_register" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xae9b99f6, "snd_hdac_stream_release" },
	{ 0x81acee2, "snd_hdac_stream_release_locked" },
	{ 0x55caa4c7, "snd_hdac_bus_link_power" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "180A3C7D21DEA709F6C09A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
