#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x629b573c, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x96a1c2b0, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xfa6ba14e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x280e25a9, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a25d41a, "cs35l56_get_calibration" },
	{ 0xae2a67d9, "__pm_runtime_set_status" },
	{ 0x1e0a46b7, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa0e42204, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x698dc869, "device_property_read_u32_array" },
	{ 0x1a65fc7b, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8e4f3b1c, "cs35l56_init_cs_dsp" },
	{ 0x5587834a, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1d2915ad, "cs_dsp_halo_init" },
	{ 0x1a382704, "cs_dsp_power_down" },
	{ 0xc3580a0f, "debugfs_remove" },
	{ 0x296de544, "cs35l56_runtime_suspend_common" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe09b9fa4, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x74038f49, "cs35l56_mbox_send" },
	{ 0x7c8942ef, "cs35l56_hw_init" },
	{ 0x8abc6080, "_dev_warn" },
	{ 0x655d14b9, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba99a267, "cs_dsp_power_up" },
	{ 0x23ce1794, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x197a5ef4, "cs35l56_wait_for_firmware_boot" },
	{ 0x694128c, "devm_kasprintf" },
	{ 0x34fb4b77, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x9136ce41, "cs35l56_is_fw_reload_needed" },
	{ 0x777e1502, "regmap_read" },
	{ 0x9883e6ca, "cs_dsp_run" },
	{ 0x15461ea9, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x26d6146e, "cs_amp_write_cal_coeffs" },
	{ 0xf631be40, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe6e34f31, "cs35l56_runtime_resume_common" },
	{ 0xb26184ff, "regmap_update_bits_base" },
	{ 0xc49e05cd, "dev_err_probe" },
	{ 0xc1d551df, "regmap_multi_reg_write" },
	{ 0x3934e97a, "__pm_runtime_suspend" },
	{ 0x8d76e3c, "component_add" },
	{ 0xf8720c, "set_primary_fwnode" },
	{ 0xb61f3d18, "__pm_runtime_use_autosuspend" },
	{ 0x363ee607, "devm_gpiod_get_index_optional" },
	{ 0x6c8d0465, "__pm_runtime_disable" },
	{ 0xe615f5f9, "debugfs_create_dir" },
	{ 0x7eeb931e, "cs35l56_firmware_shutdown" },
	{ 0xfa36cf1d, "pm_runtime_force_suspend" },
	{ 0xc51b5c2, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x68e82569, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x36b291fc, "regcache_cache_only" },
	{ 0xf0c70bfa, "is_acpi_device_node" },
	{ 0xcd50d411, "regcache_sync" },
	{ 0x259c7f67, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xc2f48d1e, "firmware_request_nowarn" },
	{ 0xfa5439cb, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb4100ee0, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d661288, "cs_dsp_stop" },
	{ 0x899f217f, "pm_runtime_set_autosuspend_delay" },
	{ 0x80f42f78, "gpiod_set_value_cansleep" },
	{ 0x9e73c8c4, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbd4c07df, "sound_debugfs_root" },
	{ 0x759432a9, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7b1a20fc, "cs_dsp_init_debugfs" },
	{ 0xf88bd847, "__dynamic_dev_dbg" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "17860E6EB764DD9F899C8AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
