#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84be0771, "cnl_ipc_send_msg" },
	{ 0xd5f712ce, "snd_soc_acpi_intel_tgl_sdw_machines" },
	{ 0xd827f1fa, "__pci_register_driver" },
	{ 0x84a81762, "hda_dsp_disable_interrupts" },
	{ 0x33b25007, "hda_dsp_set_power_state_ipc4" },
	{ 0x562b9ab1, "hda_power_down_dsp" },
	{ 0x3976f550, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdaa2bcd2, "hda_ipc4_dsp_dump" },
	{ 0x3cc00bbf, "hda_dsp_cl_boot_firmware_iccmax" },
	{ 0x15232948, "hda_dsp_enable_core" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe0a60dca, "sof_hda_common_ops" },
	{ 0x6de16eb3, "hda_sdw_check_lcount_common" },
	{ 0x877ea7a4, "snd_soc_acpi_intel_ehl_machines" },
	{ 0x85ca663, "cnl_ipc4_dump" },
	{ 0xbc99cacd, "snd_soc_acpi_intel_adl_sdw_machines" },
	{ 0xcd5af5d5, "hda_pci_intel_probe" },
	{ 0x7bfd1222, "hda_dsp_shutdown_dma_flush" },
	{ 0x602ca5ba, "snd_soc_acpi_intel_tgl_machines" },
	{ 0xbd102561, "hda_dsp_core_reset_power_down" },
	{ 0x49449956, "sof_pci_remove" },
	{ 0x369b24d7, "cnl_ipc_dump" },
	{ 0x847483e5, "hda_set_dai_drv_ops" },
	{ 0x7d5ec24c, "hda_dsp_set_power_state_ipc3" },
	{ 0xfb15a137, "cnl_ipc4_irq_thread" },
	{ 0xf89348f2, "cnl_ipc_irq_thread" },
	{ 0x22481abe, "snd_soc_acpi_intel_rpl_sdw_machines" },
	{ 0x3b345952, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25387553, "hda_common_enable_sdw_irq" },
	{ 0x108a5c7e, "hda_dsp_check_ipc_irq" },
	{ 0x4ae3ae4f, "cl_dsp_init" },
	{ 0xa7791627, "hda_ops_free" },
	{ 0xea04b1e1, "sof_pci_shutdown" },
	{ 0x9629896c, "__kmalloc_cache_noprof" },
	{ 0x47e6511a, "hda_sdw_process_wakeen_common" },
	{ 0xaf113e7, "hda_dsp_ipc4_load_library" },
	{ 0x3d1b715d, "cnl_ipc4_send_msg" },
	{ 0x781b0d93, "hda_common_check_sdw_irq" },
	{ 0x9f197c6a, "sof_pci_pm" },
	{ 0xe6c4205e, "kmalloc_caches" },
	{ 0xaa1b64b9, "snd_soc_acpi_intel_adl_machines" },
	{ 0xdcc6d459, "snd_soc_acpi_intel_rpl_machines" },
	{ 0xf3df12c3, "hda_sdw_check_wakeen_irq_common" },
	{ 0x4e92ca04, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-pci-intel-cnl,snd-soc-acpi-intel-match,snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d0000A0C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B55sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "47B5B0DADC1971E44B2C1A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
